                 {* Charlie Wiederhold - Gooty Wed. 3-4 *}
{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} UNIT TreeData; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}


{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}


USES
  ListADT;              {* ADT for the list elements                       *}

TYPE

  {* Relational type for teh compare function for tree nodes *}
  RelationType    = (Greater, Less, Equal);

  {* The main element of the trees, what is stored at each node *}
  TreeElementType = RECORD
                      Key : STRING;
                      BookList : ListType;
                    END;

{***************************************************************************}
FUNCTION TreeCompare
  (Item1,                                   {* First item                  *}
   Item2 : TreeElementType) : RelationType; {* Second item                 *}
{* Purpse : To compare objects and return value dependant on their traits  *}
{* Pre    : Relation is unknown for objects                                *}
{* Post   : Relation known and sent back to the main call                  *}

{***************************************************************************}


{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION{>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}


{***************************************************************************}
FUNCTION TreeCompare
  (Item1,                                   {* First item                  *}
   Item2 : TreeElementType) : RelationType; {* Second item                 *}
{* Purpse : To compare objects and return value dependant on their traits  *}
{* Pre    : Relation is unknown for objects                                *}
{* Post   : Relation known and sent back to the main call                  *}

BEGIN {* TreeCompare *}

  IF Item1.Key < Item2.Key THEN
      TreeCompare := Less
    ELSE
      IF Item1.Key > Item2.Key THEN
          TreeCompare := Greater
        ELSE TreeCompare := Equal;

END; {* TreeCompare *}

{***************************************************************************}

END. {* TreeData *}