PROGRAM EditCONFiles;

USES
  Crt,
  ECData,
  EditData,
  ResetSave,
  Utility;

VAR
  Exit        : Boolean;
  Choice      : Char;
  Cursor      : Byte;
  Player      : PlayerR;
  Ammo        : AmmoR;
  Box         : BoxR;
  Strength    : StrengthR;
  Radius      : RadiusR;
  Enemy       : EnemyR;

BEGIN
  GetCurrentValues (Player,Ammo,Box,Strength,Radius,Enemy);
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MainScreenSetup;
      Select (SelectColor,BackColor,13,9,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditPlayer (Player);
            2 : EditWeapons (Ammo,Box,Strength,Radius);
            3 : EditEnemy (Enemy);
            4 : PrintCurrentVals (Player,Ammo,Box,Strength,Radius,Enemy);
            5 : PrintFileVals;
            6 : IF Check (TextColor,BackColor,27,2,'Reset All CON Files? <Y/N>') THEN
                    BEGIN
                      ResetDefaultVals (Player,Ammo,Box,Strength,Radius,Enemy);
                      SaveFiles (Player,Ammo,Box,Strength,Radius,Enemy);
                    END;
            7 : UDCChart;
            8 : AboutEditCON;
            9 : Exit := Check(TextColor,BackColor,27,2,'Are You Sure? <Y/N>');
          END
        ELSE Exit := Check(TextColor,BackColor,27,2,'Are You Sure? <Y/N>');
    END;
  IF Check (TextColor,BackColor,27,2,'Save all changes? <Y/N>') THEN
      SaveFiles (Player,Ammo,Box,Strength,Radius,Enemy);
  Clear (7,0,1,1,80,25);
  writeln ('Exiting EditCON Version 1.1 by Charlie Wiederhold....');
  writeln;
END.