UNIT EditData;

INTERFACE

USES
  Crt,
  ECData,
  Utility;

PROCEDURE EditPlayer (VAR Player : PlayerR);
PROCEDURE EditWeapons (VAR Ammo : AmmoR;
                       VAR Box : BoxR;
                       VAR Strength : StrengthR;
                       VAR Radius : RadiusR);
PROCEDURE EditEnemy (VAR Enemy : EnemyR);

IMPLEMENTATION

{***************************************************************************}
PROCEDURE UserEnter (StartX, StartY : Byte; VAR Value : STRING; MaxLength : Byte; Prompt : STRING);

VAR
  Charac : Char;
  Count  : Byte;
  Exit   : Boolean;
  Temp   : STRING;

BEGIN

  MakeWin (TextColor,BackColor,StartX,StartY,(length(Prompt) + 4),4);
  WrtS (2,1,Prompt);
  WrtS (2,2,'==> ');
  TcTb (15,3);
  FOR Count := 1 TO MaxLength + 2 DO write (' ');
  gotoXY (7,2);
  FOR Count := 1 TO MaxLength DO Temp[Count] := ' ';
  Exit := False;
  Count := 0;
  WHILE NOT Exit DO
     BEGIN
       Charac := Readkey;
       IF (Charac IN ['0'..'9']) AND (Count IN [0..(MaxLength - 1)]) THEN
           BEGIN
             inc(Count);
             Temp[Count] := Charac;
             WrtS (Count + 6,2,Temp[Count]);
             IF Count = MaxLength THEN GotoXY (Count + 6,2);
           END
         ELSE
           IF (Charac = #8) AND (Count >= 1) THEN
               BEGIN
                 Temp[Count] := ' ';
                 WrtS (Count + 6,2,Temp[Count]);
                 GotoXY (Count + 6,2);
                 dec(Count);
               END
             ELSE
               IF (Charac = #13) OR (Charac = #27) THEN
                   Exit := True
                 ELSE
                   IF (Charac = #0) THEN
                     ELSE Beep (700,50);
     END;
  IF (Temp[1] <> ' ') AND (Charac <> #27) THEN
      FOR Count := 1 TO MaxLength DO Value[Count] := Temp[Count]
    ELSE FOR Count := 1 TO MaxLength DO Temp[Count] := Value[Count];
  Clear (HeaderColor,MainBackColor,StartX,StartY,(StartX + 5 + length(Prompt)),(StartY + 4))
END;

{***************************************************************************}
PROCEDURE EditString3A (VAR Value : String3; Default : String3);

VAR
  Temp   : STRING;
  Choice : Char;
  Cursor : Byte;

BEGIN
  MakeWin (TextColor,BackColor,55,2,9,13);
  TcTb (5,7);
  WrtS (3,1,Default);
  TcTb (0,7);
  WrtS (3,2,'100');
  WrtS (3,3,'200');
  WrtS (3,4,'300');
  WrtS (3,5,'400');
  WrtS (3,6,'500');
  WrtS (3,7,'600');
  WrtS (3,8,'700');
  WrtS (3,9,'800');
  WrtS (3,10,'900');
  TcTb (1,7);
  WrtS (3,11,'UDC');
  Cursor := 1;
  Select (SelectColor,BackColor,3,11,2,1,Cursor,Choice);
  IF Choice = #13 THEN
      CASE Cursor OF
         1 : Value := Default;
         2 : Value := '100';
         3 : Value := '200';
         4 : Value := '300';
         5 : Value := '400';
         6 : Value := '500';
         7 : Value := '600';
         8 : Value := '700';
         9 : Value := '800';
        10 : Value := '900';
        11 : BEGIN
               Temp := Value;
               UserEnter (34,17,Temp,3,'Enter new value (0-999)');
               Value[1] := Temp[1];
               Value[2] := Temp[2];
               Value[3] := Temp[3];
             END;
      END;
  CLEAR (HeaderColor,MainBackColor,55,2,65,15);
END;

{***************************************************************************}
PROCEDURE EditString3B (VAR Value : String3; Default : String3);

VAR
  Temp   : STRING;
  Choice : Char;
  Cursor : Byte;

BEGIN
  MakeWin (TextColor,BackColor,27,10,9,14);
  TcTb (5,7);
  WrtS (3,1,Default);
  TcTb (0,7);
  WrtS (3,2,'50');
  WrtS (3,3,'100');
  WrtS (3,4,'200');
  WrtS (3,5,'300');
  WrtS (3,6,'400');
  WrtS (3,7,'500');
  WrtS (3,8,'600');
  WrtS (3,9,'700');
  WrtS (3,10,'800');
  WrtS (3,11,'900');
  TcTb (1,7);
  WrtS (3,12,'UDC');
  Cursor := 1;
  Select (SelectColor,BackColor,3,12,2,1,Cursor,Choice);
  IF Choice = #13 THEN
      CASE Cursor OF
         1 : Value := Default;
         2 : Value := '50';
         3 : Value := '100';
         4 : Value := '200';
         5 : Value := '300';
         6 : Value := '400';
         7 : Value := '500';
         8 : Value := '600';
         9 : Value := '700';
        10 : Value := '800';
        11 : Value := '900';
        12 : BEGIN
               Temp := Value;
               UserEnter (39,12,Temp,3,'Enter new value (0-999)');
               Value[1] := Temp[1];
               Value[2] := Temp[2];
               Value[3] := Temp[3];
             END;
      END;
  CLEAR (HeaderColor,MainBackColor,27,10,37,24);
END;

{***************************************************************************}
PROCEDURE EditString4A (VAR Value : String4; Opt1, Opt2, Opt3, Opt4, Opt5 : String4);


VAR
  Temp   : STRING;
  Choice : Char;
  Cursor : Byte;

BEGIN
  MakeWin (TextColor,BackColor,55,2,10,8);
  WrtS (3,1,'  0%');
  WrtS (3,2,' 25%');
  WrtS (3,3,' 50%');
  WrtS (3,4,' 75%');
  TcTb (5,7);
  WrtS (3,5,'100%');
  TcTb (1,7);
  WrtS (3,6,' UDC');
  Cursor := 5;
  Select (SelectColor,BackColor,4,6,2,1,Cursor,Choice);
  IF Choice = #13 THEN
      CASE Cursor OF
        1 : Value := Opt1;
        2 : Value := Opt2;
        3 : Value := Opt3;
        4 : Value := Opt4;
        5 : Value := Opt5;
        6 : BEGIN
              Temp := Value;
              UserEnter (34,17,Temp,4,'Enter new value (0-9999)');
              Value[1] := Temp[1];
              Value[2] := Temp[2];
              Value[3] := Temp[3];
              Value[4] := Temp[4];
            END;
      END;
  CLEAR (HeaderColor,MainBackColor,55,2,76,11);
END;

{***************************************************************************}
PROCEDURE EditString4B (VAR Value : String4; Opt1, Opt2, Opt3, Opt4, Opt5, Opt6 : String4);

VAR
  Temp   : STRING;
  Choice : Char;
  Cursor : Byte;

BEGIN
  MakeWin (TextColor,BackColor,27,10,11,9);
  WrtS (3,1,'  25%');
  WrtS (3,2,'  50%');
  TcTb (5,7);
  WrtS (3,3,' 100%');
  TcTb (0,7);
  WrtS (3,4,' 500%');
  WrtS (3,5,'1000%');
  WrtS (3,6,'5000%');
  TcTb (1,7);
  WrtS (3,7,'  UDC');
  Cursor := 3;
  Select (SelectColor,BackColor,5,7,2,1,Cursor,Choice);
  IF Choice = #13 THEN
      CASE Cursor OF
        1 : Value := Opt1;
        2 : Value := Opt2;
        3 : Value := Opt3;
        4 : Value := Opt4;
        5 : Value := Opt5;
        6 : Value := Opt6;
        7 : BEGIN
              Temp := Value;
              UserEnter (41,14,Temp,4,'Enter new value (0-9999)');
              Value[1] := Temp[1];
              Value[2] := Temp[2];
              Value[3] := Temp[3];
              Value[4] := Temp[4];
            END;
      END;
  Clear (HeaderColor,MainBackColor,27,10,39,20);
END;

{***************************************************************************}
PROCEDURE EditString4C (VAR Value : String4; Opt1, Opt2, Opt3, Opt4, Opt5 : String4);

VAR
  Temp   : STRING;
  Choice : Char;
  Cursor : Byte;

BEGIN
  MakeWin (TextColor,BackColor,52,2,11,8);
  WrtS (3,1,'  25%');
  WrtS (3,2,'  50%');
  TcTb (5,7);
  WrtS (3,3,' 100%');
  TcTb (0,7);
  WrtS (3,4,' 500%');
  WrtS (3,5,'1000%');
  TcTb (1,7);
  WrtS (3,6,'  UDC');
  Cursor := 3;
  Select (SelectColor,BackColor,5,6,2,1,Cursor,Choice);
  IF Choice = #13 THEN
      CASE Cursor OF
        1 : Value := Opt1;
        2 : Value := Opt2;
        3 : Value := Opt3;
        4 : Value := Opt4;
        5 : Value := Opt5;
        6 : BEGIN
              Temp := Value;
              UserEnter (34,17,Temp,4,'Enter new value (0-9999)');
              Value[1] := Temp[1];
              Value[2] := Temp[2];
              Value[3] := Temp[3];
              Value[4] := Temp[4];
            END;
      END;
  CLEAR (HeaderColor,MainBackColor,52,2,64,10);
END;

{***************************************************************************}
PROCEDURE EditString5 (StartX, Starty : Byte;
                       VAR Value : String5; Opt1, Opt2, Opt3, Opt4, Opt5 : String5);

VAR
  Temp   : STRING;
  Choice : Char;
  Cursor : Byte;

BEGIN
  MakeWin (TextColor,BackColor,StartX,StartY,10,8);
  WrtS (3,1,' 25%');
  WrtS (3,2,' 50%');
  TcTb (5,7);
  WrtS (3,3,'100%');
  TcTb (0,7);
  WrtS (3,4,'250%');
  WrtS (3,5,'500%');
  TcTb (1,7);
  WrtS (3,6,' UDC');
  Cursor := 3;
  Select (SelectColor,BackColor,4,6,2,1,Cursor,Choice);
  IF Choice = #13 THEN
      CASE Cursor OF
        1 : Value := Opt1;
        2 : Value := Opt2;
        3 : Value := Opt3;
        4 : Value := Opt4;
        5 : Value := OPt5;
        6 : BEGIN
              Temp := Value;
              UserEnter (41,15,Temp,5,'Enter new value (0-99999)');
              Value[1] := Temp[1];
              Value[2] := Temp[2];
              Value[3] := Temp[3];
              Value[4] := Temp[4];
              Value[5] := Temp[5];
            END;
      END;
  Clear (HeaderColor,MainBackColor,StartX,StartY,(StartX + 11),(StartY + 8));
END;

{***************************************************************************}

PROCEDURE EditPlayer (VAR Player : PlayerR);

VAR
  Exit   : Boolean;
  Choice : Char;
  Cursor : Byte;

BEGIN
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MakeWin (TextColor,BackColor,27,2,24,13);
      WrtS (3,1,'Max Regular Health');
      WrtS (3,2,'Max Atomic Health');
      WrtS (3,3,'Max Armor Amount');
      WrtS (3,4,'Armor Start Amount');
      WrtS (3,5,'Steroid Bottle');
      WrtS (3,6,'Scuba Gear Tank');
      WrtS (3,7,'Holoduke Amount');
      WrtS (3,8,'Jetpack Fuel');
      WrtS (3,9,'Boot Amount');
      WrtS (3,10,'Night Vision');
      WrtS (3,11,'Medkit Amount');
      Select (SelectColor,BackColor,18,11,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
             1 : EditString3A (Player.MaxHealth1,DefMaxHealth1);
             2 : EditString3A (Player.MaxHealth2,DefMaxHealth2);
             3 : EditString3A (Player.MaxArmor,DefMaxArmor);
             4 : EditString3A (Player.StartArmor,DefStartArmor);
             5 : EditString4A (Player.Steroids,'0','100','200','300','400');
             6 : EditString4A (Player.Scuba,'0','1600','3200','4800','6400');
             7 : EditString4A (Player.Holoduke,'0','600','1200','1800','2400');
             8 : EditString4A (Player.Jetpack,'0','400','800','1200','1600');
             9 : EditString4A (Player.Boots,'0','50','100','150','200');
            10 : EditString4A (Player.Vision,'0','300','600','900','1200');
            11 : EditString3A (Player.Medkit,DefMedkit);
          END
        ELSE Exit := True;
    END;
END;

{***************************************************************************}
PROCEDURE EditMaxAmmo (VAR Ammo : AmmoR);

VAR
  Exit   : Boolean;
  Choice : Char;
  Cursor : Byte;

BEGIN
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MakeWin (TextColor,BackColor,53,2,14,7);
      WrtS (3,1,'Pistol');
      WrtS (3,2,'Shotgun');
      WrtS (3,3,'Chaingun');
      WrtS (3,4,'RPG');
      WrtS (3,5,'PipeBomb');
      Select (SelectColor,BackColor,8,5,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditString3B (Ammo.Pistol,DefPistolAmmo);
            2 : EditString3B (Ammo.Shotgun,DefShotgunAmmo);
            3 : EditString3B (Ammo.Chaingun,DefChaingunAmmo);
            4 : EditString3B (Ammo.RPG,DefRPGAmmo);
            5 : EditString3B (Ammo.Pipebomb,DefPipebombAmmo);
          END
        ELSE Exit := True;
    END;
  Clear (HeaderColor,MainBackColor,53,2,68,9);
END;

{***************************************************************************}
PROCEDURE EditBoxAmmo (VAR Box : BoxR);

VAR
  Exit   : Boolean;
  Choice : Char;
  Cursor : Byte;

BEGIN
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MakeWin (TextColor,BackColor,53,2,14,7);
      WrtS (3,1,'Pistol');
      WrtS (3,2,'Shotgun');
      WrtS (3,3,'Chaingun');
      WrtS (3,4,'RPG');
      WrtS (3,5,'PipeBomb');
      Select (SelectColor,BackColor,8,5,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditString3B (Box.Pistol,DefPistolBox);
            2 : EditString3B (Box.Shotgun,DefShotgunBox);
            3 : EditString3B (Box.Chaingun,DefChaingunBox);
            4 : EditString3B (Box.RPG,DefRPGBox);
            5 : EditString3B (Box.Pipebomb,DefPipebombBox);
          END
        ELSE Exit := True;
    END;
  Clear (HeaderColor,MainBackColor,53,2,68,9);
END;

{***************************************************************************}
PROCEDURE EditWeaponStrength (VAR Strength : StrengthR);

VAR
  Exit   : Boolean;
  Choice : Char;
  Cursor : Byte;

BEGIN
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MakeWin (TextColor,BackColor,53,2,14,8);
      WrtS (3,1,'Kicking');
      WrtS (3,2,'Pistol');
      WrtS (3,3,'Shotgun');
      WrtS (3,4,'Chaingun');
      WrtS (3,5,'RPG');
      WrtS (3,6,'PipeBomb');
      Select (SelectColor,BackColor,8,6,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditString4B (Strength.Kick,'2','5','10','50','100','500');
            2 : EditString4B (Strength.Pistol,'1','3','6','30','60','300');
            3 : EditString4B (Strength.Shotgun,'2','5','10','50','100','500');
            4 : EditString4B (Strength.Chaingun,'2','4','9','45','90','450');
            5 : EditString4B (Strength.RPG,'35','70','140','700','1400','7000');
            6 : EditString4B (Strength.Pipebomb,'35','70','140','700','1400','7000');
          END
        ELSE Exit := True;
    END;
  Clear (HeaderColor,MainBackColor,53,2,68,11);
END;

{***************************************************************************}
PROCEDURE EditBlastRadius (VAR Radius : RadiusR);

VAR
  Exit   : Boolean;
  Choice : Char;
  Cursor : Byte;

BEGIN
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MakeWin (TextColor,BackColor,53,2,14,4);
      WrtS (3,1,'RPG');
      WrtS (3,2,'PipeBomb');
      Select (SelectColor,BackColor,8,2,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditString5 (27,10,Radius.RPG,'395','790','1780','5340','10680');
            2 : EditString5 (27,10,Radius.Pipebomb,'625','1250','2500','6250','12500');
          END
        ELSE Exit := True;
    END;
  Clear (HeaderColor,MainBackColor,53,2,68,7);
END;

{***************************************************************************}
PROCEDURE EditWeapons (VAR Ammo : AmmoR;
                       VAR Box : BoxR;
                       VAR Strength : StrengthR;
                       VAR Radius : RadiusR);

VAR
  Exit   : Boolean;
  Choice : Char;
  Cursor : Byte;

BEGIN
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MakeWin (TextColor,BackColor,27,2,22,6);
      WrtS (3,1,'Max Weapon Ammo');
      WrtS (3,2,'Box Ammo Amount');
      WrtS (3,3,'Weapon Strength');
      WrtS (3,4,'Blast Radius');
      Select (SelectColor,BackColor,16,4,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditMaxAmmo (Ammo);
            2 : EditBoxAmmo (Box);
            3 : EditWeaponStrength (Strength);
            4 : EditBlastRadius (Radius);
          END
        ELSE Exit := True;
    END;
END;

{***************************************************************************}
PROCEDURE EditEnemy (VAR Enemy : EnemyR);

VAR
  Exit   : Boolean;
  Choice : Char;
  Cursor : Byte;

BEGIN
  Exit := False;
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MakeWin (TextColor,BackColor,27,2,21,11);
      WrtS (3,1,'Trooper');
      WrtS (3,2,'Red Trooper');
      WrtS (3,3,'Pig Cop');
      WrtS (3,4,'Pig Cop Armor 1');
      WrtS (3,5,'Pig Cop Armor 2');
      WrtS (3,6,'Recon Car');
      WrtS (3,7,'Octabrain');
      WrtS (3,8,'Turret');
      WrtS (3,9,'Ending Boss');
      Select (SelectColor,BackColor,15,9,2,1,Cursor,Choice);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditString4C (Enemy.Trooper,'7','15','30','150','300');
            2 : EditString4C (Enemy.RedTroop,'50','30','60','300','600');
            3 : EditString4C (Enemy.PigCop,'25','50','100','500','1000');
            4 : EditString4C (Enemy.PigCopShield1,'18','37','75','375','750');
            5 : EditString4C (Enemy.PigCopShield2,'12','25','50','250','500');
            6 : EditString4C (Enemy.Recon,'12','25','50','250','500');
            7 : EditString4C (Enemy.Octabrain,'41','82','175','875','1750');
            8 : EditString4C (Enemy.Turret,'10','20','40','200','400');
            9 : EditString5 (52,2,Enemy.Boss1,'1125','2250','4500','11250','22500');
          END
        ELSE Exit := True;
    END;
END;

{***************************************************************************}

END.