UNIT GameCon1;

INTERFACE

PROCEDURE GamePart1 (VAR Game : Text);
PROCEDURE GamePart2 (VAR Game : Text);
PROCEDURE GamePart3 (VAR Game : Text);

IMPLEMENTATION

{***********************************}
PROCEDURE GamePart1 (VAR Game : Text);
BEGIN
  writeln (Game, '');
  writeln (Game, '/* This .CON file edited using EditCON ver 2.0 by Charlie Wiederhold');
  writeln (Game, '--------------------------------------------------------------------------------');
  writeln (Game, 'Duke Nukem 3D GAME.CON file.');
  writeln (Game, 'By Todd Replogle');
  writeln (Game, '(c) 1996 3D Realms Entertainment');
  writeln (Game, '--------------------------------------------------------------------------------');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'IMPORTANT NOTICE IF YOU USE MODIFIED .CON FILES');
  writeln (Game, '');
  writeln (Game, 'If you are playing a MULTIPLAY game (Dukematch or Co-op) and you are');
  writeln (Game, 'using *modified* .CON files (USER.CON, GAME.CON, DEFS.CON), then each');
  writeln (Game, 'multiplayer must be using the EXACT SAME .CON files, or the game will');
  writeln (Game, 'get out of sync and/or develop interesting problems.');
  writeln (Game, '');
  writeln (Game, '3D Realms encourages you to experiment freely with the parameters');
  writeln (Game, 'contained in this file, and to share your discoveries with the rest');
  writeln (Game, 'of the world.  However, BE ADVISED that 3D Realms does NOT offer ');
  writeln (Game, 'any technical support on how to use this file or other user-modifiable ');
  writeln (Game, 'features of this game.  Do NOT call 3D Realms or Apogee Software ');
  writeln (Game, 'for advice or help with this subject.  ');
  writeln (Game, '');
  writeln (Game, 'You make modifications to this and other files at your own risk. ');
  writeln (Game, 'It is recommended that you first make a backup copy of this, or');
  writeln (Game, 'any .CON files before making any changes.');
  writeln (Game, '');
  writeln (Game, '--------------------------------------------------------------------------------');
  writeln (Game, '');
  writeln (Game, '*/');
  writeln (Game, '');
  writeln (Game, 'include DEFS.CON');
  writeln (Game, 'include USER.CON');
  writeln (Game, '');
  writeln (Game, 'state genericshrunkcode');
  writeln (Game, '    ifcount 32 { ifpdistl SQUISHABLEDISTANCE pstomp }');
  writeln (Game, '    else { sizeto 9 8 spawn FRAMEEFFECT1 }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'move SHUTTLEVELS 16');
  writeln (Game, '');
  writeln (Game, 'actor SPACESHUTTLE TOUGH');
  writeln (Game, '  //  ifmove 0 { move SHUTTLEVELS getv geth }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor SATELLITE TOUGH');
  writeln (Game, '  //  ifmove 0 { move SHUTTLEVELS getv geth }');
  writeln (Game, '  //  ifcount 120 move SHUTTLEVELS getv geth randomangle');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action ASHARKCRUZING 0 8 5 1 24');
  writeln (Game, 'action ASHARKFLEE    0 8 5 1 10');
  writeln (Game, 'action ASHARKATACK   0 8 5 1 6');
  writeln (Game, 'action ASHARKSHRUNK  0 8 5 1 24');
  writeln (Game, 'action ASHARKFROZEN  0 1 5 1 24');
  writeln (Game, '');
  writeln (Game, 'move SHARKVELS 24');
  writeln (Game, 'move SHARKFASTVELS 72');
  writeln (Game, 'move SHARKFLEEVELS 40');
  writeln (Game, '');
  writeln (Game, 'actor SHARK SHARKSTRENGTH ASHARKCRUZING SHARKVELS randomangle geth');
  writeln (Game, '    ifaction ASHARKSHRUNK');
  writeln (Game, '    {');
  writeln (Game, '        ifcount SHRUNKDONECOUNT action ASHARKCRUZING');
  writeln (Game, '        else ifcount SHRUNKCOUNT sizeto 24 24');
  writeln (Game, '        else state genericshrunkcode');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ASHARKFROZEN');
  writeln (Game, '    {');
  writeln (Game, '        fall');
  writeln (Game, '');
  writeln (Game, '        ifcount THAWTIME { action ASHARKFLEE getlastpal }');
  writeln (Game, '        else ifcount FROZENDRIPTIME { ifactioncount 26 { spawn WATERDRIP resetactioncount } }');
  writeln (Game, '');
  writeln (Game, '        ifhitweapon');
  writeln (Game, '        {');
  writeln (Game, '            ifwasweapon FREEZEBLAST { strength 0 break }');
  writeln (Game, '            lotsofglass 30');
  writeln (Game, '            sound GLASS_BREAKING');
  writeln (Game, '            killit');
  writeln (Game, '        }');
  writeln (Game, '        else ifp pfacing ifpdistl FROZENQUICKKICKDIST pkick');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ASHARKFLEE');
  writeln (Game, '    {');
  writeln (Game, '        ifcount 16 ifrnd 48 { action ASHARKCRUZING move SHARKVELS randomangle geth }');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ASHARKCRUZING');
  writeln (Game, '    {');
  writeln (Game, '        ifcansee ifcount 48 ifrnd 2 { action ASHARKATACK move SHARKFASTVELS faceplayerslow getv break }');
  writeln (Game, '        ifcount 32 ifnotmoving');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 128 move SHARKVELS randomangle geth');
  writeln (Game, '            else move SHARKFASTVELS randomangle geth');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ASHARKATACK');
  writeln (Game, '    {');
  writeln (Game, '        ifcount 4');
  writeln (Game, '        {');
  writeln (Game, '            ifpdistl 1280');
  writeln (Game, '            {');
  writeln (Game, '                ifp palive ifcanshoottarget');
  writeln (Game, '                {');
  writeln (Game, '                    sound DUKE_GRUNT');
  writeln (Game, '                    palfrom 32 32');
  writeln (Game, '                    addphealth SHARKBITESTRENGTH');
  writeln (Game, '                }');
  writeln (Game, '                action ASHARKFLEE');
  writeln (Game, '                move SHARKFLEEVELS fleeenemy');
  writeln (Game, '            }');
  writeln (Game, '        }');
  writeln (Game, '        else ifnotmoving');
  writeln (Game, '            { ifcount 32 { action ASHARKCRUZING move SHARKVELS randomangle geth } }');
  writeln (Game, '        else ifcount 48 ifrnd 2');
  writeln (Game, '            { action ASHARKCRUZING move SHARKFASTVELS randomangle geth }');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifhitweapon');
  writeln (Game, '    {');
  writeln (Game, '        ifdead');
  writeln (Game, '            { sound SQUISHED guts JIBS6 5 killit }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifwasweapon SHRINKSPARK');
  writeln (Game, '            {');
  writeln (Game, '                action ASHARKSHRUNK');
  writeln (Game, '                sound ACTOR_SHRINKING');
  writeln (Game, '            }');
  writeln (Game, '            else ifwasweapon FREEZEBLAST');
  writeln (Game, '            {');
  writeln (Game, '                action ASHARKFROZEN');
  writeln (Game, '                sound SOMETHINGFROZE');
  writeln (Game, '                move 0');
  writeln (Game, '            }');
  writeln (Game, '            else move SHARKVELS randomangle geth');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'action BLIMPWAITTORESPAWN');
  writeln (Game, '');
  writeln (Game, 'state blimphitstate');
  writeln (Game, '    cstat 0');
  writeln (Game, '    spawn FIRSTGUNSPRITE');
  writeln (Game, '    spawn EXPLOSION2');
  writeln (Game, '');
  writeln (Game, '    debris SCRAP1 40            // Weapons and ammo!');
  writeln (Game, '    debris SCRAP2 32');
  writeln (Game, '    debris SCRAP3 32');
  writeln (Game, '    debris SCRAP4 32');
  writeln (Game, '    debris SCRAP5 32');
  writeln (Game, '');
  writeln (Game, '    sound PIPEBOMB_EXPLODE');
  writeln (Game, '    ifrespawn { action BLIMPRESPAWNTIME move 0 cstat 32768 }');
  writeln (Game, '    else killit');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'actor BLIMP 1');
  writeln (Game, '');
  writeln (Game, '    ifaction BLIMPWAITTORESPAWN');
  writeln (Game, '    {');
  writeln (Game, '        ifcount RESPAWNACTORTIME');
  writeln (Game, '        {');
  writeln (Game, '            action 0');
  writeln (Game, '            cstat 0');
  writeln (Game, '            move 0');
  writeln (Game, '        }');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifhitweapon');
  writeln (Game, '    {');
  writeln (Game, '        ifwasweapon RADIUSEXPLOSION state blimphitstate');
  writeln (Game, '        ifwasweapon RPG state blimphitstate');
  writeln (Game, '        strength 1');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'state rats');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, '    ifrnd 128 spawn RAT');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'move RESPAWN_ACTOR_FLAG');
  writeln (Game, '');
  writeln (Game, 'action RUBCANDENT 1 1 1 1 1');
  writeln (Game, 'action RUBCAN');
  writeln (Game, '');
  writeln (Game, 'actor RUBBERCAN WEAK');
  writeln (Game, '    ifaction RUBCANDENT { ifactioncount 16 { strength 0 action RUBCAN break } }');
  writeln (Game, '    else ifhitweapon');
  writeln (Game, '    {');
  writeln (Game, '        ifwasweapon RADIUSEXPLOSION { state rats ifrnd 48 spawn BURNING debris SCRAP3 12 killit }');
  writeln (Game, '        else action RUBCANDENT');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'state headhitstate');
  writeln (Game, '// Unrem the following line to involving screen tilting during');
  writeln (Game, '// low player hitpoint damage.');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '// wackplayer');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'action EXPBARRELFRAME         0   2   1   1   15');
  writeln (Game, 'actor EXPLODINGBARREL 26');
  writeln (Game, '    fall');
  writeln (Game, '    ifaction EXPBARRELFRAME');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 2');
  writeln (Game, '        {');
  writeln (Game, '            hitradius 1024 WEAKEST WEAK MEDIUMSTRENGTH TOUGH');
  writeln (Game, '            spawn EXPLOSION2');
  writeln (Game, '            debris SCRAP2 2');
  writeln (Game, '            sound PIPEBOMB_EXPLODE');
  writeln (Game, '            killit');
  writeln (Game, '        }');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    ifsquished');
  writeln (Game, '    {');
  writeln (Game, '        debris SCRAP1 5');
  writeln (Game, '        killit');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    ifhitweapon');
  writeln (Game, '        action EXPBARRELFRAME');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action BURNING_FLAME    0   12   1   1   2');
  writeln (Game, 'move BURNING_VELS ');
  writeln (Game, '');
  writeln (Game, 'state burningstate');
  writeln (Game, '');
  writeln (Game, '    ifgapzl 16 break');
  writeln (Game, '    ifpdistg 10240 break');
  writeln (Game, '');
  writeln (Game, '    ifcount 128');
  writeln (Game, '    {');
  writeln (Game, '        ifspawnedby TIRE');
  writeln (Game, '        {');
  writeln (Game, '            ifactioncount 512');
  writeln (Game, '            {');
  writeln (Game, '                sizeto 16 16');
  writeln (Game, '                killit');
  writeln (Game, '            }');
  writeln (Game, '            ifrnd 16 sizeto 64 48');
  writeln (Game, '        }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            sizeto 8 8 sizeto 8 8');
  writeln (Game, '            ifactioncount 192 killit');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        ifmove 0 move BURNING_VELS');
  writeln (Game, '');
  writeln (Game, '        ifspawnedby BOX');
  writeln (Game, '            { sizeto 32 32 ifcount 32 { spawn SMALLSMOKE killit } }');
  writeln (Game, '        else ifspawnedby TREE1 sizeto 96 96');
  writeln (Game, '        else ifspawnedby TREE2 sizeto 96 96');
  writeln (Game, '        else ifspawnedby APLAYER { sizeto 40 40 sizeto 40 40 }');
  writeln (Game, '        else sizeto 52 52');
  writeln (Game, '        ifp palive ifpdistl 844 ifrnd 32 ifcansee { soundonce DUKE_LONGTERM_PAIN ',
                 'addphealth -1 palfrom 24 16 }');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'actor BURNING WEAK BURNING_FLAME');
  writeln (Game, '    state burningstate');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor BURNING2 WEAK BURNING_FLAME');
  writeln (Game, '    state burningstate');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action TOILETWATERFRAMES 0 4 1 1 1');
  writeln (Game, 'actor TOILETWATER 0 TOILETWATERFRAMES');
  writeln (Game, '    ifpdistl 8192');
  writeln (Game, '    {');
  writeln (Game, '        soundonce WATER_GURGLE');
  writeln (Game, '        ifspawnedby TOILET sizeto 34 34');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifspawnedby WATERFOUNTAINBROKE');
  writeln (Game, '                sizeto 6 15');
  writeln (Game, '            else ifspawnedby TOILETWATER { } else sizeto 24 32');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifp palive ifpdistl RETRIEVEDISTANCE ifp pfacing ifactioncount 32');
  writeln (Game, '            ifphealthl MAXPLAYERHEALTH ifhitspace ifcansee');
  writeln (Game, '        {');
  writeln (Game, '            addphealth 1');
  writeln (Game, '            globalsound DUKE_DRINKING');
  writeln (Game, '            resetactioncount');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');

END;

{***********************************}
PROCEDURE GamePart2 (VAR Game : Text);
BEGIN
  writeln (Game, 'action WOODENHORSEFRAME  0   1   4');
  writeln (Game, 'action WOODENFALLFRAME  122  1   5');
  writeln (Game, '');
  writeln (Game, 'actor HORSEONSIDE WEAKEST cactor WOODENHORSE action WOODENFALLFRAME enda');
  writeln (Game, 'actor WOODENHORSE WEAK WOODENHORSEFRAME');
  writeln (Game, '    fall');
  writeln (Game, '    ifhitweapon');
  writeln (Game, '    {');
  writeln (Game, '        ifdead');
  writeln (Game, '        {');
  writeln (Game, '            debris SCRAP1 4');
  writeln (Game, '            debris SCRAP2 3');
  writeln (Game, '            killit');
  writeln (Game, '        }');
  writeln (Game, '        else action WOODENFALLFRAME');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'state steamcode');
  writeln (Game, '    ifpdistl 8192 soundonce STEAM_HISSING');
  writeln (Game, '');
  writeln (Game, '    ifcount 20');
  writeln (Game, '    {');
  writeln (Game, '        resetcount');
  writeln (Game, '        ifp palive ifpdistl 1024');
  writeln (Game, '        {');
  writeln (Game, '            addphealth -1');
  writeln (Game, '            palfrom 16 16');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        ifspawnedby STEAM break ifspawnedby CEILINGSTEAM break');
  writeln (Game, '        sizeto 24 24');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'action STEAMFRAMES      0       5       1       1       1');
  writeln (Game, 'actor STEAM 0 STEAMFRAMES');
  writeln (Game, '    state steamcode');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor CEILINGSTEAM 0 STEAMFRAMES');
  writeln (Game, '    state steamcode');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor WATERBUBBLEMAKER 0 0 randomangle');
  writeln (Game, '    ifpdistl 3084 ifrnd 24 spawn WATERBUBBLE');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action BUBBLE');
  writeln (Game, 'action CRACKEDBUBBLE    1');
  writeln (Game, 'move BUBMOVE           -10 -36');
  writeln (Game, 'move BUBMOVEFAST           -10 -52');
  writeln (Game, '');
  writeln (Game, 'actor WATERBUBBLE 0 BUBBLE BUBMOVE getv geth randomangle');
  writeln (Game, '');
  writeln (Game, '    ifaction CRACKEDBUBBLE');
  writeln (Game, '    {');
  writeln (Game, '        ifinwater ifrnd 192 killit');
  writeln (Game, '        ifactioncount 7 killit');
  writeln (Game, '    }');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        ifcount 4');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 192 move BUBMOVE getv geth randomangle');
  writeln (Game, '            else move BUBMOVEFAST getv geth randomangle');
  writeln (Game, '            resetcount');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifonwater');
  writeln (Game, '        {');
  writeln (Game, '            iffloordistl 8 action CRACKEDBUBBLE');
  writeln (Game, '        }');
  writeln (Game, '        else ifactioncount 40 action CRACKEDBUBBLE');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'move SMOKEVEL 8 -16');
  writeln (Game, 'move ENGINE_SMOKE 64 -64');
  writeln (Game, 'move SMOKESHOOTOUT -192');
  writeln (Game, 'action SMOKEFRAMES 0 4 1 1 10');
  writeln (Game, 'actor SMALLSMOKE 0 SMOKEFRAMES');
  writeln (Game, '    ifmove 0');
  writeln (Game, '    {');
  writeln (Game, '        ifspawnedby RECON');
  writeln (Game, '            move SMOKESHOOTOUT geth');
  writeln (Game, '        else ifspawnedby SECTOREFFECTOR');
  writeln (Game, '            move ENGINE_SMOKE geth getv');
  writeln (Game, '        else move SMOKEVEL geth getv faceplayer');
  writeln (Game, '        ifspawnedby RPG');
  writeln (Game, '        cstat 2');
  writeln (Game, '    }');
  writeln (Game, '    ifpdistl 1596 ifspawnedby RPG killit');
  writeln (Game, '    ifactioncount 4 killit');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action BARREL_DENTING  2 2 1 1 6');
  writeln (Game, 'action BARREL_DENTED   1');
  writeln (Game, 'action BARREL_DENTED2  2');
  writeln (Game, '');
  writeln (Game, 'move SPAWNED_BLOOD');
  writeln (Game, '');
  writeln (Game, 'actor NUKEBARRELDENTED WEAK');
  writeln (Game, '    cactor NUKEBARREL');
  writeln (Game, '    action BARREL_DENTED');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor NUKEBARRELLEAKED WEAK');
  writeln (Game, '    cactor NUKEBARREL');
  writeln (Game, '    action BARREL_DENTED2');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor NUKEBARREL MEDIUMSTRENGTH');
  writeln (Game, '    ifsquished');
  writeln (Game, '    {');
  writeln (Game, '        debris SCRAP1 32');
  writeln (Game, '        spawn BLOODPOOL');
  writeln (Game, '        spawn OOZ');
  writeln (Game, '        killit');
  writeln (Game, '    }');
  writeln (Game, '    fall');
  writeln (Game, '    ifaction BARREL_DENTING');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 2');
  writeln (Game, '        {');
  writeln (Game, '            debris SCRAP1 10');
  writeln (Game, '            ifrnd 2 spawn BLOODPOOL');
  writeln (Game, '            killit');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else ifhitweapon');
  writeln (Game, '    {');
  writeln (Game, '        ifdead');
  writeln (Game, '        {');
  writeln (Game, '            sound VENT_BUST');
  writeln (Game, '');
  writeln (Game, '            ifrnd 128');
  writeln (Game, '                spawn BLOODPOOL');
  writeln (Game, '            action BARREL_DENTING');
  writeln (Game, '        }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifaction 0');
  writeln (Game, '                action BARREL_DENTED');
  writeln (Game, '            else ifaction BARREL_DENTED');
  writeln (Game, '            {');
  writeln (Game, '                action BARREL_DENTED2');
  writeln (Game, '                spawn BLOODPOOL');
  writeln (Game, '            }');
  writeln (Game, '            else ifaction BARREL_DENTED2');
  writeln (Game, '                action BARREL_DENTING');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'state burningbarrelcode');
  writeln (Game, '    fall');
  writeln (Game, '    ifcount 32');
  writeln (Game, '    {');
  writeln (Game, '        resetcount');
  writeln (Game, '        ifp palive ifpdistl 1480 ifp phigher');
  writeln (Game, '        {');
  writeln (Game, '            addphealth -1');
  writeln (Game, '            palfrom 16 16');
  writeln (Game, '            ifrnd 96 sound DUKE_LONGTERM_PAIN');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    ifhitweapon');
  writeln (Game, '    {');
  writeln (Game, '        sound VENT_BUST');
  writeln (Game, '        debris SCRAP1 10');
  writeln (Game, '        ifrnd 128 spawn BURNING');
  writeln (Game, '        else spawn BURNING2');
  writeln (Game, '        killit');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'actor FIREBARREL state burningbarrelcode enda');
  writeln (Game, 'actor FIREVASE state burningbarrelcode enda');
  writeln (Game, '');
  writeln (Game, 'action SHRINKERFRAMES 0 4 1 1 10');
  writeln (Game, 'actor SHRINKEREXPLOSION 0 SHRINKERFRAMES');
  writeln (Game, '    ifactioncount 4 killit');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action EXPLOSION_FRAMES 0 20 1 1  4');
  writeln (Game, 'actor EXPLOSION2 1 EXPLOSION_FRAMES');
  writeln (Game, '    ifactioncount 20 killit');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor EXPLOSION2BOT 1 EXPLOSION_FRAMES');
  writeln (Game, '    ifactioncount 20 killit');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action FFLAME_FR 0 16 1 1 1');
  writeln (Game, 'action FFLAME 0 1 1 1 1');
  writeln (Game, '');
  writeln (Game, 'actor FLOORFLAME 0 FFLAME_FR');
  writeln (Game, '        ifaction FFLAME_FR');
  writeln (Game, '        {');
  writeln (Game, '                ifpdistl 1024 hitradius 1024 WEAKEST WEAKEST WEAKEST WEAKEST');
  writeln (Game, '                ifactioncount 16');
  writeln (Game, '                    action FFLAME');
  writeln (Game, '        }');
  writeln (Game, '        ifaction FFLAME ifrnd 4');
  writeln (Game, '        {');
  writeln (Game, '             action FFLAME_FR');
  writeln (Game, '             sound CAT_FIRE');
  writeln (Game, '             resetactioncount');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'action ASATNSPIN   0 5 1 1 4');
  writeln (Game, 'action ASATSHOOTING -10 3 5 1 40');
  writeln (Game, 'action ASATWAIT 0 1 5 1 1');
  writeln (Game, 'move TURRVEL');
  writeln (Game, '');
  writeln (Game, 'actor ROTATEGUN ROTTURRETSTRENGTH');
  writeln (Game, '// ASATSHOOTING TURRVEL faceplayer');
  writeln (Game, '');
  writeln (Game, '    ifaction 0');
  writeln (Game, '    {');
  writeln (Game, '        action ASATSHOOTING');
  writeln (Game, '        move TURRVEL faceplayer');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ASATNSPIN');
  writeln (Game, '        { ifactioncount 32 { action ASATWAIT move TURRVEL faceplayer } }');
  writeln (Game, '    else ifaction ASATSHOOTING');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 12 { ifrnd 32 action ASATWAIT }');
  writeln (Game, '        ifcount 32 resetcount');
  writeln (Game, '        else ifcount 16 { ifcount 17 { } else { sound PRED_ATTACK shoot FIRELASER } }');
  writeln (Game, '        else ifcount 4 { ifcount 5 { } else { ifcansee ifcanshoottarget { sound PRED_ATTACK shoot ',
                 'FIRELASER } } }');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ASATWAIT');
  writeln (Game, '        { ifactioncount 64 ifrnd 32 ifp palive ifcansee { action ASATSHOOTING move TURRVEL faceplayer } }');
  writeln (Game, '    ifhitweapon { ifdead { addkills 1 sound LASERTRIP_EXPLODE debris SCRAP1 15 spawn EXPLOSION2 killit }');
  writeln (Game, '        else { action ASATNSPIN debris SCRAP1 4 } move 0 }');
  writeln (Game, '');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action RIP_F 0 8 1 1 1');
  writeln (Game, 'actor FORCERIPPLE 0 RIP_F');
  writeln (Game, '    ifactioncount 8 killit');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action TRANSFOWARD 0  6  1  1  2');
  writeln (Game, 'action TRANSBACK   5  6  1 -1  2');
  writeln (Game, 'actor TRANSPORTERSTAR 0 TRANSFOWARD');
  writeln (Game, '    ifaction TRANSFOWARD');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 6');
  writeln (Game, '            action TRANSBACK');
  writeln (Game, '    }');
  writeln (Game, '    else');
  writeln (Game, '        ifactioncount 6 killit');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action BEAMFOWARD  0  4  1  1  9');
  writeln (Game, 'actor TRANSPORTERBEAM 0 BEAMFOWARD');
  writeln (Game, '    sizeto 32 64 sizeto 32 64 sizeto 32 64');
  writeln (Game, '    ifactioncount 4 killit');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'state getcode');
  writeln (Game, '    ifactor ATOMICHEALTH globalsound GETATOMICHEALTH');
  writeln (Game, '    else globalsound DUKE_GET');
  writeln (Game, '    palfrom 16 0 32');
  writeln (Game, '    ifrespawn');
  writeln (Game, '    {');
  writeln (Game, '        move RESPAWN_ACTOR_FLAG');
  writeln (Game, '        spawn RESPAWNMARKERRED');
  writeln (Game, '        cstat 32768');
  writeln (Game, '    }');
  writeln (Game, '    else killit');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state randgetweapsnds');
  writeln (Game, '    ifrnd 64 globalsound DUKE_GETWEAPON1');
  writeln (Game, '    else ifrnd 96 globalsound DUKE_GETWEAPON2');
  writeln (Game, '    else ifrnd 128 globalsound DUKE_GETWEAPON3');
  writeln (Game, '    else ifrnd 140 globalsound DUKE_GETWEAPON4');
  writeln (Game, '    else globalsound DUKE_GETWEAPON6');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state getweaponcode');
  writeln (Game, '');
  writeln (Game, '    state randgetweapsnds');
  writeln (Game, '');
  writeln (Game, '    palfrom 32 0 32');
  writeln (Game, '    ifgotweaponce 1 break');
  writeln (Game, '    ifrespawn');
  writeln (Game, '    {');
  writeln (Game, '        move RESPAWN_ACTOR_FLAG');
  writeln (Game, '        spawn RESPAWNMARKERRED');
  writeln (Game, '        cstat 32768');
  writeln (Game, '    }');
  writeln (Game, '    else killit');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'state respawnit');
  writeln (Game, '    ifcount RESPAWNITEMTIME { spawn TRANSPORTERSTAR move 0 cstat 0 sound TELEPORTER }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state quikget');
  writeln (Game, '    ifactor ATOMICHEALTH globalsound GETATOMICHEALTH');
  writeln (Game, '    else globalsound DUKE_GET');
  writeln (Game, '    palfrom 16 0 32');

END;

{***********************************}
PROCEDURE GamePart3 (VAR Game : Text);
BEGIN
  writeln (Game, '    killit');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state quikweaponget');
  writeln (Game, '    state randgetweapsnds');
  writeln (Game, '    palfrom 32 0 32');
  writeln (Game, '    ifgotweaponce 1 break');
  writeln (Game, '    killit');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'actor STEROIDS');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE');
  writeln (Game, '        ifpinventory GET_STEROIDS STEROID_AMOUNT ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addinventory GET_STEROIDS STEROID_AMOUNT quote 37 state getcode');
  writeln (Game, '        ifspawnedby STEROIDS state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor HEATSENSOR');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifpinventory ',
                 'GET_HEATS HEAT_AMOUNT');
  writeln (Game, '        ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addinventory GET_HEATS HEAT_AMOUNT quote 101 state getcode');
  writeln (Game, '        ifspawnedby HEATSENSOR state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor BOOTS');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifpinventory ',
                 'GET_BOOTS BOOT_AMOUNT');
  writeln (Game, '        ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addinventory GET_BOOTS BOOT_AMOUNT quote 6');
  writeln (Game, '        ifspawnedby BOOTS state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor SHIELD');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifpinventory ',
                 'GET_SHIELD SHIELD_AMOUNT');
  writeln (Game, '        ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        ifspawnedby PIGCOP');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 128 addinventory GET_SHIELD PIG_SHIELD_AMOUNT1');
  writeln (Game, '            else addinventory GET_SHIELD PIG_SHIELD_AMOUNT2');
  writeln (Game, '            quote 104');
  writeln (Game, '            sound KICK_HIT palfrom 24 0 32 killit');
  writeln (Game, '        }');
  writeln (Game, '        else addinventory GET_SHIELD SHIELD_AMOUNT quote 38');
  writeln (Game, '        ifspawnedby SHIELD state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor AIRTANK');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifpinventory ',
                 'GET_SCUBA SCUBA_AMOUNT');
  writeln (Game, '        ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addinventory GET_SCUBA SCUBA_AMOUNT quote 39 state getcode');
  writeln (Game, '        ifspawnedby AIRTANK state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action HOLODUKE_FRAMES 0 4 1 1 8');
  writeln (Game, 'actor HOLODUKE 0 HOLODUKE_FRAMES');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifpinventory ',
                 'GET_HOLODUKE HOLODUKE_AMOUNT');
  writeln (Game, '        ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addinventory GET_HOLODUKE HOLODUKE_AMOUNT quote 51 state getcode');
  writeln (Game, '        ifspawnedby HOLODUKE state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor JETPACK');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifpinventory ',
                 'GET_JETPACK JETPACK_AMOUNT ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addinventory GET_JETPACK JETPACK_AMOUNT quote 41 state getcode');
  writeln (Game, '        ifspawnedby JETPACK state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor ACCESSCARD');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        ifpinventory GET_ACCESS 0 break');
  writeln (Game, '        addinventory GET_ACCESS 1');
  writeln (Game, '        quote 43');
  writeln (Game, '        state getcode');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '// test boss_recod');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'actor AMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo PISTOL_WEAPON PISTOLAMMOAMOUNT quote 65');
  writeln (Game, '        ifspawnedby AMMO state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor FREEZEAMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo FREEZE_WEAPON FREEZEAMMOAMOUNT quote 66');
  writeln (Game, '        ifspawnedby FREEZEAMMO state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'actor SHOTGUNAMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo SHOTGUN_WEAPON SHOTGUNAMMOAMOUNT quote 69');
  writeln (Game, '        ifspawnedby SHOTGUNAMMO state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor AMMOLOTS');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifcount 6 ifpdistl RETRIEVEDISTANCE ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo PISTOL_WEAPON 48 quote 65');
  writeln (Game, '        ifspawnedby AMMOLOTS state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor CRYSTALAMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo SHRINKER_WEAPON CRYSTALAMMOAMOUNT quote 78');
  writeln (Game, '        ifspawnedby CRYSTALAMMO state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor BATTERYAMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo CHAINGUN_WEAPON CHAINGUNAMMOAMOUNT quote 63');
  writeln (Game, '        ifspawnedby BATTERYAMMO state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor DEVISTATORAMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo DEVISTATOR_WEAPON DEVISTATORAMMOAMOUNT quote 14');
  writeln (Game, '        ifspawnedby DEVISTATORAMMO state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor RPGAMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addammo RPG_WEAPON RPGAMMOBOX quote 64');
  writeln (Game, '        ifspawnedby RPGAMMO state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor HBOMBAMMO');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        ifgotweaponce 0 break // ( Multiplayer (mode 3) only )');
  writeln (Game, '');
  writeln (Game, '        addweapon HANDBOMB_WEAPON 1 quote 55');
  writeln (Game, '        addammo HANDBOMB_WEAPON HANDBOMBBOX');
  writeln (Game, '');
  writeln (Game, '        ifspawnedby HBOMBAMMO state getweaponcode');
  writeln (Game, '        else state quikweaponget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor RPGSPRITE');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        ifgotweaponce 0 break // ( Multiplayer (mode 3) only )');
  writeln (Game, '');
  writeln (Game, '        addweapon RPG_WEAPON RPGAMMOBOX quote 56');
  writeln (Game, '        ifspawnedby RPGSPRITE state getweaponcode');
  writeln (Game, '        else state quikweaponget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '// 531.89 GTE.');
  writeln (Game, '// IMA.');
  writeln (Game, '// PO BOX 4629');
  writeln (Game, '// Rocford ill, 61110-4629');
  writeln (Game, '// Ms. Lee');
  writeln (Game, '');
  writeln (Game, 'actor SHOTGUNSPRITE');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        ifspawnedby PIGCOP');
  writeln (Game, '        {');
  writeln (Game, '            addweapon SHOTGUN_WEAPON 0');
  writeln (Game, '            ifrnd 64 addammo SHOTGUN_WEAPON 4');
  writeln (Game, '            else ifrnd 64 addammo SHOTGUN_WEAPON 3');
  writeln (Game, '            else ifrnd 64 addammo SHOTGUN_WEAPON 2');
  writeln (Game, '            else addammo SHOTGUN_WEAPON 1');
  writeln (Game, '        }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifgotweaponce 0 break // Multiplayer only');
  writeln (Game, '            addweapon SHOTGUN_WEAPON SHOTGUNAMMOAMOUNT quote 57');
  writeln (Game, '        }');
  writeln (Game, '        ifspawnedby SHOTGUNSPRITE state getweaponcode');
  writeln (Game, '        else state quikweaponget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'actor SIXPAK');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifphealthl ',
                 'MAXPLAYERHEALTH ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addphealth 30 quote 62');
  writeln (Game, '        ifspawnedby SIXPAK state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor COLA');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifphealthl ',
                 'MAXPLAYERHEALTH // ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addphealth 10 quote 61');
  writeln (Game, '        ifspawnedby COLA state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor ATOMICHEALTH');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6 ifcanseetarget');
  writeln (Game, '        ifphealthl MAXPLAYERATOMICHEALTH');
  writeln (Game, '    {');
  writeln (Game, '        addphealth 50 quote 19');
  writeln (Game, '        ifspawnedby ATOMICHEALTH state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'actor FIRSTAID');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove RESPAWN_ACTOR_FLAG state respawnit');
  writeln (Game, '    else ifp pshrunk { } else ifp palive ifpdistl RETRIEVEDISTANCE ifcount 6');
  writeln (Game, '        ifpinventory GET_FIRSTAID FIRSTAID_AMOUNT ifcanseetarget');
  writeln (Game, '    {');
  writeln (Game, '        addinventory GET_FIRSTAID FIRSTAID_AMOUNT quote 3');
  writeln (Game, '');
  writeln (Game, '        ifspawnedby FIRSTAID state getcode');
  writeln (Game, '        else state quikget');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');

END;

{***********************************}

END.
