PROGRAM MakeSND;

USES
  NewDelay,
  Crt,
  Dos,
  Menus,
  Utility,
  GrubData,
  SndData;

VAR
  SoundFile  : FILE;
  SoundData  : Text;
  Count,
  NumParts   : Word;
  NumRead,
  NumWritten : Integer;
  SoundPart  : SoundType;
  TempStr    : STRING;
  Root       : FileName;

BEGIN
  Root := GetRoot;
  assign (SoundFile, Root + '\sounds\' + ParamStr(1) + SoundExtention);
  rewrite (SoundFile,1);
  assign (SoundData, Root + '\sounds\' + ParamStr(1) + '.txt');
  reset (SoundData);

  NumParts := 0;
  readln (SoundData,TempStr);
  WHILE TempStr <> 'END' DO
    BEGIN
      inc (NumParts);
      readln (SoundData,TempStr);
    END;

  NumWritten := 0;
  blockwrite (SoundFile, NumParts, sizeof(NumParts), NumWritten);
  reset (SoundData);
  FOR Count := 1 TO NumParts DO
    BEGIN
      readln (SoundData,SoundPart.Pitch,SoundPart.Time);
      blockwrite (SoundFile, SoundPart, sizeof(SoundPart), NumWritten);
    END;

  close (SoundFile);
  close (SoundData);

  IF (ParamStr(2) = '-noplay') OR (ParamStr(2) = '-NOPLAY') THEN
      writeln (Paramstr(1) + SoundExtention, ' was created.')
    ELSE
      BEGIN
        PlaySound (ParamStr(1));
        writeln (Paramstr(1) + SoundExtention, ' was created.');
      END;
END.