PROGRAM DOSVid;

USES
  Crt;

BEGIN
  IF ParamCount = 0 THEN
    BEGIN
      writeln;
      writeln ('Type TEXTMODE /? for information on running this program.');
    END;
  IF (ParamStr(1) = '/h') OR (ParamStr(1) = '/H') THEN
    BEGIN
      TextMode (259);
      clrscr;
      writeln ('Text mode set to high');
    END;
  IF (ParamStr(1) = '/l') OR (ParamStr(1) = '/L') THEN
    BEGIN
      TextMode (3);
      clrscr;
      writeln ('Text mode set to low');
    END;
  IF (ParamStr(1) = '/w') OR (ParamStr(1) = '/W') THEN
    BEGIN
      clrscr;
      writeln ('TEXTMODE.EXE under Windows 95 MSDOS Prompt:');
      writeln;
      writeln ('In order to get TEXTMODE.EXE to automatically run when you enter MSDOS mode');
      writeln ('under Windows 95, you need to make a Batch file and then update some info');
      writeln ('in the shortcut to MSDOS under the Taskbar options.');
      writeln ('First of all, open up any RAW TEXT editor. EDIT for MSDOS or Notepad in');
      writeln ('Windows will work nicely. Now, type these lines in the editor:');
      writeln;
      writeln ('  @ECHO OFF');
      writeln ('  TEXTMODE.EXE /h');
      writeln;
      writeln ('This will set the mode to High text resolution. Now, save this file as');
      writeln ('whatever you like. But... make sure the extention is .BAT. So, for example');
      writeln ('you could save it as TEXTMODE.BAT. Preferably you will have TEXTMODE.EXE');
      writeln ('copied to either the DOS directory or the Windows directory. Save this new');
      writeln ('Batch file in the Windows directory.');
      writeln;
      writeln ('Right click on the Taskbar and go into Properties. Then follow this sequence');
      writeln ('of menu changes. Start Menu Programs --> Advanced --> Programs. Right click');
      writeln ('on Shorcut to MSDOS Prompt and go to Properties. Go into the Program option,');
      writeln ('and where it says Batch file: type the name of the .BAT file you created. If');
      writeln ('you saved it in the Windows directory you are ready to go. Otherwise... you');
      writeln ('need to type the path also. There you go!');
    END;
  IF ParamStr(1) = '/?' THEN
    BEGIN
      clrscr;
      writeln ('TEXTMODE.EXE Help:');
      writeln;
      writeln (' C:\>TEXTMODE <PARAMETER>');
      writeln;
      writeln (' /h - Sets the text resolution to 80x43 on EGA monitors, and 80x50 on VGA');
      writeln ('      monitors');
      writeln (' /l - Sets the text resolution to 80x25');
      writeln (' /w - Help information on running TEXTMODE.EXE in Windows 95 MSDOS mode');
      writeln (' /? - Outputs this help file');
      writeln;
      writeln ('Only one command line parameter may be passed at a time. The first one listed');
      writeln ('is the one used. Sometimes other programs may reset the text resolution back');
      writeln ('to the standard 80x25 mode. So, you may have to rerun TEXTMODE to reset it back');
      writeln ('to the setting you want.');
      writeln;
      writeln ('TEXTMODE.EXE works best when you save it in either the DOS or Windows directory.');
      writeln ('Thanks for using TEXTMODE.EXE - (c) 1996 - Charlie Wiederhold.');
    END;
END.