{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} Unit POPUPS; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{-----------------------------------------------------------------------------}


{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<}
{-----------------------------------------------------------------------------}



Uses CRT, WIEDER;

procedure OPENSCREEN;
procedure BACKGROUND;
procedure FILEMENU;
procedure EDITMENU;
procedure PRNTMENU;
procedure EXITMENU;
procedure HELPMENU;
procedure OPEN;
procedure NEW;
procedure SAVE;
procedure RENAME;
procedure CLOSE;
procedure EDIT;
procedure COPY;
procedure CUT;
procedure PASTE;
procedure COLOR;
procedure PRINT;
procedure OPTIONS;
procedure SELECT;
procedure ABOUT;
procedure HELP;



{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION {<<<<<<<<<<<<<<<<<<<<<<<<<<<<<}
{-----------------------------------------------------------------------------}



{=============================================================================}

{*********************** Creates the opening window **************************}

procedure OPENSCREEN;

var
  start : char;

begin
  makewin (15,5,19,6,61,19,true,true,11);
  writeln ('        Welcome to WiederMenus 1');
  writeln ('         A Menu Interface Demo');
  writeln;
  writeln ('  Written by: Charles T. Wiederhold');
  writeln ('              224 North Prairie View');
  writeln ('              Crowley, Texas;  76036');
  writeln ('              (817) - 297 - 6890');
  writeln;
  writeln ('  Written in: April 1995');
  writeln;
  writeln ('  Source code written in Turbo Pascal');
  hidecursor (1,1,5);
  repeat
    start := readkey;
  until (start = #13) or (start = #27);
  clear (1,1,3,3,78,22);
  regwin;
  hidecursor (1,1,7);
end;

{=============================================================================}

{*********************** Creates the background window ***********************}

procedure BACKGROUND;

begin

  makewin (7,7,1,1,80,1,false,false,0);
  makewin (1,1,1,2,80,24,false,true,15);
  makewin (7,7,1,25,80,25,false,false,0);
  regwin;
  tctb (15,1);
  wrts (34,2,' WiederMenus 1 ');
  tctb (0,7);
  wrts (5,1,' ile');
  wrts (14,1,' dit');
  wrts (22,1,' rint');
  wrts (31,1,'E it');
  wrts (64,1,' elp');
  wrts (4,25,'   -Exit Program/Window');
  wrts (34,25,'   :  -File   -Edit   -Print   -Exit   -Help');
  tctb (5,7);
  wrts (77,1,'WM1');
  tctb (4,7);
  wrtc (5,1,'F');
  wrtc (14,1,'E');
  wrtc (22,1,'P');
  wrtc (32,1,'x');
  wrtc (64,1,'H');
  wrts (4,25,'ESC');
  wrts (34,25,'Alt');
  wrtc (39,25,'F');
  wrtc (47,25,'E');
  wrtc (55,25,'P');
  wrtc (64,25,'X');
  wrtc (72,25,'H');
  hidecursor (1,3,1);

end;

{=============================================================================}

{*********************** Creates the file menu *******************************}

procedure FILEMENU;

begin
  makewin (15,3,4,2,17,8,true,true,14);
  wrts (3,1,'Open');
  wrts (3,2,'New');
  wrts (3,3,'Save');
  wrts (3,4,'Rename');
  wrts (3,5,'Close');
end;

{=============================================================================}

{*********************** Creates the edit menu *******************************}

procedure EDITMENU;

begin
  makewin (15,3,13,2,25,8,true,true,14);
  wrts (3,1,'Edit');
  wrts (3,2,'Copy');
  wrts (3,3,'Cut');
  wrts (3,4,'Paste');
  wrts (3,5,'Color');
end;

{=============================================================================}

{*********************** Creates the print menu ******************************}

procedure PRNTMENU;

begin
  makewin (15,3,21,2,35,6,true,true,14);
  wrts (3,1,'Print');
  wrts (3,2,'Options');
  wrts (3,3,'Select');
end;

{=============================================================================}

{*********************** Creates the exit menu *******************************}

procedure EXITMENU;

begin
  makewin (15,3,30,2,43,5,true,true,14);
  wrts (3,1,'Cancel');
  wrts (3,2,'Exit');
end;

{=============================================================================}

{*********************** Creates the help menu *******************************}

procedure HELPMENU;

begin
  makewin (15,3,63,2,75,5,true,true,14);
  wrts (3,1,'About');
  wrts (3,2,'Help');
end;

{=============================================================================}

{********* Creates the open stub used to see if the calls work properly ******}

procedure OPEN;

begin
  makewin (15,3,35,10,46,12,true,true,14);
  write ('  Open');
end;

{=============================================================================}

{********* Creates the new stub used to see if the calls work properly *******}

procedure NEW;

begin
  makewin (15,3,36,10,46,12,true,true,14);
  write ('  New');
end;

{=============================================================================}

{********* Creates the save stub used to see if the calls work properly ******}

procedure SAVE;

begin
  makewin (15,3,35,10,46,12,true,true,14);
  write ('  Save');
end;

{=============================================================================}

{********* Creates the rename stub used to see if the calls work properly ****}

procedure RENAME;

begin
  makewin (15,3,34,10,47,12,true,true,14);
  write ('  Rename');
end;

{=============================================================================}

{********* Creates the close stub used to see if the calls work properly ******}

procedure CLOSE;

begin
  makewin (15,3,34,10,46,12,true,true,14);
  write ('  Close');
end;

{=============================================================================}

{********* Creates the edit stub used to see if the calls work properly ******}

procedure EDIT;

begin
  makewin (15,3,35,10,46,12,true,true,14);
  write ('  Edit');
end;

{=============================================================================}

{********* Creates the copy stub used to see if the calls work properly *****}

procedure COPY;

begin
  makewin (15,3,35,10,46,12,true,true,14);
  write ('  Copy');
end;

{=============================================================================}

{********* Creates the cut stub used to see if the calls work properly *******}

procedure CUT;

begin
  makewin (15,3,36,10,46,12,true,true,14);
  write ('  Cut');
end;

{=============================================================================}

{********* Creates the paste stub used to see if the calls work properly *****}

procedure PASTE;

begin
  makewin (15,3,34,10,46,12,true,true,14);
  write ('  Paste');
end;

{=============================================================================}

{********* Creates the color stub used to see if the calls work properly *****}

procedure COLOR;

begin
  makewin (15,3,34,10,46,12,true,true,14);
  write ('  Color');
end;

{=============================================================================}

{********* Creates the print stub used to see if the calls work properly *****}

procedure PRINT;

begin
  makewin (15,3,34,10,46,12,true,true,14);
  write ('  Print');
end;

{=============================================================================}

{********* Creates the options stub used to see if the calls work properly ***}

procedure OPTIONS;

begin
  makewin (15,3,33,10,47,12,true,true,14);
  write ('  Options');
end;

{=============================================================================}

{********* Creates the select stub used to see if the calls work properly ****}

procedure SELECT;

begin
  makewin (15,3,34,10,47,12,true,true,14);
  write ('  Select');
end;

{=============================================================================}

{*********************** Creates the about window ****************************}

procedure ABOUT;

begin
  makewin (14,3,20,4,60,21,true,true,14);
  writeln ('             WiederMenus 1');
  writeln;
  tctb (15,3);
  writeln (' Programmer: Charlie Wiederhold');
  writeln;
  writeln (' Written:    April 1995');
  writeln;
  writeln (' Location:   Crowley, Texas');
  writeln;
  writeln (' Purpose: Menu style interface demo.');
  writeln;
  writeln ('   To  create a menu style interface');
  writeln ('   using  Turbo Pascal.  It  doesn''t');
  writeln ('   actually do the things the  menus');
  writeln ('   say but it is a good guide on how');
  writeln ('   to write a menu style interface.');
end;

{=============================================================================}

{*********************** Creates the help window *****************************}

procedure HELP;

begin
  makewin (14,3,21,3,57,21,true,true,14);
  writeln ('       WiederMenus 1 Help');
  tctb (15,3);
  writeln;
  writeln (' Outside the menus:');
  writeln ('   <ESC> = Exit program');
  writeln;
  writeln (' Inside the menus:');
  writeln ('   <ESC>  = Exit the menu');
  writeln ('  <ENTER> = Select an option');
  writeln;
  writeln (' Everywhere:');
  writeln ('   <Alt> plus');
  writeln ('    <F> = File menu  ( or <F1> )');
  writeln ('    <E> = Edit menu  ( or <F2> )');
  writeln ('    <P> = Print menu ( or <F3> )');
  writeln ('    <X> = Exit menu  ( or <F4> )');
  writeln ('    <H> = Help menu  ( or <F5> )');
end;

{=============================================================================}

END.  {*** Unit POPUPS ***}