{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} Unit DOSDM; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{-----------------------------------------------------------------------------}



{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{-----------------------------------------------------------------------------}



uses CRT, DOS, WIEDERDM, POPUPSDM;

var
  rowpos,
  colpos    : byte;
  selection : char;
  execute,
  parameter : string;

procedure SELECTCOMM (columns,rows,width : byte;
                      var colpos,rowpos : byte; var selection : char);
procedure RUNSELEC   (parameter : string; colpos, rowpos : byte);
procedure READPARAM  (var paramater : string; colpos, rowpos : byte);
procedure READCOMM   (var execute,parameter : string);
procedure DODOS      (cursor : byte);



{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{-----------------------------------------------------------------------------}




{=============================================================================}
procedure selectcomm (columns,rows,width : byte;
                      var colpos,rowpos : byte; var selection : char);
Begin
  TCTB (4,7);
  WRTC ((width * (colpos - 1) + 2),rowpos,#16);
  WRTC ((width * (colpos - 1) + 11),rowpos,#17);
  repeat
    HIDECURSOR ((width * (colpos - 1) + 1),rowpos,7);
    selection := readkey;
    case selection of
      #80 : begin
              TCTB (7,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,' ');
              WRTC ((width * (colpos - 1) + 11),rowpos,' ');
              if rowpos <> rows then inc(rowpos);
              TCTB (4,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,#16);
              WRTC ((width * (colpos - 1) + 11),rowpos,#17);
            end;
      #72 : begin
              TCTB (7,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,' ');
              WRTC ((width * (colpos - 1) + 11),rowpos,' ');
              if rowpos <> 1 then dec(rowpos);
              TCTB (4,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,#16);
              WRTC ((width * (colpos - 1) + 11),rowpos,#17);
            end;
      #77 : begin
              TCTB (7,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,' ');
              WRTC ((width * (colpos - 1) + 11),rowpos,' ');
              if colpos = columns
                then
                  begin
                    inc(rowpos);
                    if rowpos = rows + 1
                      then dec(rowpos)
                      else colpos := 1;
                  end
                else inc(colpos);
              TCTB (4,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,#16);
              WRTC ((width * (colpos - 1) + 11),rowpos,#17);
            end;
      #75 : begin
              TCTB (7,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,' ');
              WRTC ((width * (colpos - 1) + 11),rowpos,' ');
              if colpos = 1
                then
                  begin
                    dec(rowpos);
                    if rowpos = 0
                      then inc(rowpos)
                      else colpos := columns;
                  end
                else dec(colpos);
              TCTB (4,7);
              WRTC ((width * (colpos - 1) + 2),rowpos,#16);
              WRTC ((width * (colpos - 1) + 11),rowpos,#17);
            end;
    end;  { case }

  until (selection = #13) or (selection = #27);
End;

{=============================================================================}
procedure RUNSELEC   (parameter : string; colpos, rowpos : byte);

Begin
  case colpos of
    1 : case rowpos of
          1 : exec ('c:\dos\attrib.exe',parameter);
          2 : exec ('c:\dos\diskcopy.com',parameter);
          3 : exec ('c:\dos\fdisk.exe',parameter);
          4 : exec ('c:\dos\mem.exe',parameter);
          5 : exec ('c:\dos\restore.exe',parameter);
          6 : exec ('c:\dos\undelete.exe',parameter);
        end;
    2 : case rowpos of
          1 : exec ('c:\dos\chkdsk.exe',parameter);
          2 : exec ('c:\dos\edit.com',parameter);
          3 : exec ('c:\dos\format.com',parameter);
          4 : exec ('c:\dos\mode.com',parameter);
          5 : exec ('c:\dos\scandisk.exe',parameter);
          6 : exec ('c:\dos\unformat.com',parameter);
        end;
    3 : case rowpos of
          1 : exec ('c:\dos\debug.exe',parameter);
          2 : exec ('c:\dos\expand.exe',parameter);
          3 : exec ('c:\dos\help.com',parameter);
          4 : exec ('c:\dos\move.exe',parameter);
          5 : exec ('c:\dos\sort.exe',parameter);
          6 : exec ('c:\dos\vsafe.com',parameter);
        end;
    4 : case rowpos of
          1 : exec ('c:\dos\defrag.exe',parameter);
          2 : exec ('c:\dos\fasthelp.exe',parameter);
          3 : exec ('c:\dos\keyb.com',parameter);
          4 : exec ('c:\dos\msd.exe',parameter);
          5 : exec ('c:\dos\subst.exe',parameter);
          6 : exec ('c:\dos\xcopy.exe',parameter);
        end;
    5 : case rowpos of
          1 : exec ('c:\dos\deltree.exe',parameter);
          2 : exec ('c:\dos\fastopen.exe',parameter);
          3 : exec ('c:\dos\label.exe',parameter);
          4 : exec ('c:\dos\replace.exe',parameter);
          5 : exec ('c:\dos\tree.com',parameter);
        end;
  end;
End;

{=============================================================================}
procedure readparam (var paramater : string; colpos, rowpos : byte);

Begin
  case colpos of
    1 : case rowpos of
          1 : write ('attrib ');
          2 : write ('diskcopy ');
          3 : write ('fdisk ');
          4 : write ('mem ');
          5 : write ('restore ');
          6 : write ('undelete ');
        end;
    2 : case rowpos of
          1 : write ('chkdsk ');
          2 : write ('edit ');
          3 : write ('format ');
          4 : write ('mode ');
          5 : write ('scandisk ');
          6 : write ('unformat ');
        end;
    3 : case rowpos of
          1 : write ('debug ');
          2 : write ('expand ');
          3 : write ('help ');
          4 : write ('move ');
          5 : write ('sort ');
          6 : write ('vsafe ');
        end;
    4 : case rowpos of
          1 : write ('defrag ');
          2 : write ('fasthelp ');
          3 : write ('keyb ');
          4 : write ('msd ');
          5 : write ('subst ');
          6 : write ('xcopy ');
        end;
    5 : case rowpos of
          1 : write ('deltree ');
          2 : write ('fastopen ');
          3 : write ('label ');
          4 : write ('replace ');
          5 : write ('tree ');
        end;
  end;
  readln (parameter);
End;

{=============================================================================}
procedure readcomm   (var execute,parameter : string);

var
  temp  : char;
  comm  : string;
  enter,
  space : byte;

Begin
  comm := '';
  repeat
    read (temp);
    temp := upcase(temp);
    comm := comm + temp;
  until eoln;
  readln;
  space := pos(' ', comm);
  if space <> 0
    then
      begin
        execute := copy(comm,1,(space - 1));
        parameter := copy(comm,(space + 1),50);
      end
    else
      begin
        execute := comm;
        parameter := '';
      end;

  if (execute = 'ATTRIB') or (execute = 'CHKDSK') or (execute = 'DEBUG') or
     (execute = 'DEFRAG') or (execute = 'DELTREE') or (execute = 'EXPAND') or
     (execute = 'FASTHELP') or (execute = 'FASTOPEN') or (execute = 'FDISK') or
     (execute = 'LABEL') or (execute = 'MEM') or (execute = 'MOVE') or
     (execute = 'MSD') or (execute = 'REPLACE') or (execute = 'RESTORE') or
     (execute = 'SCANDISK') or (execute = 'SORT') or (execute = 'SUBST') or
     (execute = 'UNDELTE') or (execute = 'XCOPY')
     then execute := concat('c:\dos\',execute,'.exe');

  if (execute = 'DISKCOPY') or (execute = 'EDIT') or (execute = 'FORMAT') or
     (execute = 'HELP') or (execute = 'KEYB') or (execute = 'MODE') or
     (execute = 'TREE') or (execute = 'UNFORMAT') or (execute = 'VSAFE')
     then execute := concat('c:\dos\',execute,'.com');

End;

{=============================================================================}
procedure doDOS (cursor : byte);

Begin
  rowpos := 1;
  colpos := 1;
  execute := '';
  parameter := '';
  case cursor of
    1 : DOSCOMMWIN;
    2 : COMMLINE;
  end;
  case cursor of
    1 : begin
          SELECTCOMM (5,6,10,colpos,rowpos,selection);
          if selection = #13
            then
              begin
                if ((colpos <> 5) or (rowpos <> 6))
                  then
                    begin
                      COMMLINE;
                      READPARAM (parameter,colpos,rowpos);
                      CLEAR (7,1,1,1,80,25);
                      RUNSELEC (parameter,colpos,rowpos);
                      write ('Press <Enter>.');
                      readln;
                    end;
                BACKGROUND;
              end;
        end;
    2 : begin
          READCOMM (execute,parameter);
          CLEAR (7,1,1,1,80,25);
          exec (execute,parameter);
          write ('Press <Enter>.');
          readln;
          BACKGROUND;
        end;
  end;
End;

{=============================================================================}

END. {** Unit DOSDM **}