{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} Unit POPUPSDM; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{-----------------------------------------------------------------------------}



{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<}
{-----------------------------------------------------------------------------}



Uses CRT, WIEDERDM;

var exit : char;

procedure OPENSCREEN;
procedure BACKGROUND;
procedure DOSMENU;
procedure EXITMENU;
procedure HELPMENU;
procedure DOSCOMMWIN;
procedure COMMLINE;
procedure HELPWIN;
procedure ABOUTWIN;



{-----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION {<<<<<<<<<<<<<<<<<<<<<<<<<<<<<}
{-----------------------------------------------------------------------------}



{=============================================================================}
procedure OPENSCREEN;

Begin
  MAKEWIN (15,5,19,6,61,19,true,true,11);
  writeln;
  writeln ('   Welcome to DOSMenus for MSDOS 6.2');
  writeln;
  writeln ('   Written by: Charles T. Wiederhold');
  writeln ('               224 North Prairie View');
  writeln ('               Crowley, Texas;  76036');
  writeln ('               (817) - 297 - 6890');
  writeln;
  writeln ('   Written   : April 1995');
  writeln;
  writeln ('   Source code written in Turbo Pascal');
  HIDECURSOR (1,1,5);
  repeat
    exit := readkey;
  until (exit = #13) or (exit = #27);
  CLEAR (1,1,3,3,78,22);
  REGWIN;
  HIDECURSOR (1,1,7);
End;

{=============================================================================}
procedure BACKGROUND;

Begin
  MAKEWIN (7,7,1,1,80,1,false,false,0);
  MAKEWIN (15,1,1,2,80,24,false,true,15);
  MAKEWIN (7,7,1,25,80,25,false,false,0);
  REGWIN;
  TCTB (5,7);
  WRTS (76,1,'cwDM');
  TCTB (0,7);
  WRTS (5,1,' osCommands');
  WRTS (21,1,'E it');
  WRTS (65,1,' elp');
  WRTS (5,25,'  -DosCommands');
  WRTS (21,25,'  -Exit');
  WRTS (30,25,'  -Help');
  WRTS (56,25,'  DOSMenus MSDOS 6.2 ');
  TCTB (11,7);
  WRTC (5,1,'D');
  WRTC (22,1,'x');
  WRTC (65,1,'H');
  WRTS (5,25,'F1');
  WRTS (21,25,'F2');
  WRTS (30,25,'F3');
  HIDECURSOR (1,1,7);
End;

{=============================================================================}
procedure DOSMENU;

Begin
  MAKEWIN (15,3,4,2,19,5,true,true,14);
  writeln ('  DOSComms');
  write   ('  CommLine');
End;

{=============================================================================}
procedure EXITMENU;

Begin
  MAKEWIN (15,3,20,2,33,5,true,true,14);
  writeln ('  Cancel');
  write   ('  Exit');
End;

{=============================================================================}
procedure HELPMENU;

Begin
  MAKEWIN (15,3,64,2,76,5,true,true,14);
  writeln ('  Help');
  write   ('  About');
End;

{=============================================================================}
procedure DOSCOMMWIN;

Begin
  MAKEWIN (0,7,13,8,68,15,true,true,11);
  writeln ('  Attrib    Chkdsk    Debug     Defrag    Deltree');
  writeln ('  Diskcopy  Edit      Expand    Fasthelp  Fastopen');
  writeln ('  Fdisk     Format    Help      Keyb      Label');
  writeln ('  Mem       Mode      Move      Msd       Replace');
  writeln ('  Restore   Scandisk  Sort      Subst     Tree');
  write   ('  Undelete  Unformat  Vsafe     XCopy     <ESC>');
End;

{=============================================================================}
procedure COMMLINE;

Begin
  MAKEWIN (0,7,10,10,70,12,true,true,11);
  write ('  C:\> ');
End;

{=============================================================================}
procedure HELPWIN;

var screen : byte;

Begin
  screen := 1;
  MAKEWIN (15,5,12,3,67,22,true,true,11);
  REGWIN;
  TCTB (8,0);
  WRTS (68,4,'Ab');
  WRTS (68,5,'');
  TCTB (11,5);
  WRTS (25,3,' DOSMenus for MSDOS ver 6.2 Help ');
  repeat
    REGWIN;
    TCTB (11,5);
    if screen = 1 then WRTS (60,22,'PgDown');
    if screen = 2 then WRTS (60,22,'PgUp');
    CLEAR (15,5,14,4,65,21);
    case screen of
      1 : begin
            writeln;
            writeln ('                  KEY FUNCTIONS');
            writeln;
            writeln ('                To open a window');
            writeln ('                ----------------');
            writeln ('                <F1>  Hot Key for');
            writeln ('           <Alt> <D>  Opens DosCommands menu');
            writeln ('                <F2>  Hot Key for');
            writeln ('           <Alt> <X>  Opens Exit menu');
            writeln ('                <F3>  Hot Key for');
            writeln ('           <Alt> <H>  Opens Help menu');
            writeln;
            writeln ('                     To exit');
            writeln ('                     -------');
            writeln ('  <Esc> or <Enter>:');
            writeln ('          Exits any menu except the command line.');
            write   ('  <Esc> When no menu is open exits from DOSMenus.');
          end;
      2 : begin
            writeln;
            writeln ('                 SPECIAL INSTRUCTIONS');
            writeln;
            writeln ('  When in the command line, any DOS exe or com');
            writeln ('      file may be run by typing in the path, the');
            writeln ('      file name without extention, and finally');
            writeln ('      the desired parameters if needed.');
            writeln;
            writeln ('  In the command line if you wish to exit without');
            writeln ('      running a command press <Enter> three times');
            writeln ('      and you will be sent through to DOS and back');
            writeln ('      to the current window.');
            writeln ('   If you wish to exit from the command line when');
            writeln ('      you selected a file from the menu, type exit');
            writeln ('      as your parameter and press <Enter> twice.');
            writeln ('   You will be sent through DOS, but the parameters');
            write   ('      will be incorrect, so nothing will happen.');
          end;
    end;
    HIDECURSOR (14,4,5);
    repeat
      exit := readkey;
    until (exit = #13) or (exit = #27) or (exit = #73) or (exit = #81);
    if (exit = #73) then screen := 1;
    if (exit = #81) then screen := 2;
  until (exit = #13) or (exit = #27);
End;

{=============================================================================}
procedure ABOUTWIN;

Begin
  MAKEWIN (15,5,19,6,61,19,true,true,11);
  writeln;
  writeln ('   Welcome to DOSMenus for MSDOS 6.2');
  writeln;
  writeln ('   Written by: Charles T. Wiederhold');
  writeln ('               224 North Prairie View');
  writeln ('               Crowley, Texas;  76036');
  writeln ('               (817) - 297 - 6890');
  writeln;
  writeln ('   Written   : April 1995');
  writeln;
  writeln ('   Source code written in Turbo Pascal');
  HIDECURSOR (1,1,5);
  repeat
    exit := readkey;
  until (exit = #13) or (exit = #27);
End;

{=============================================================================}

END.  {** Unit POPUPS **}