{$M $4000,0,0}
PROGRAM VacationLauncher;

USES
  NewDelay,
  Crt,
  DOS,
  Utility;

VAR
  Count     : Word;
  Error     : Byte;
  ErrorInfo : STRING;

{***************************************************************************}
PROCEDURE ExitScreen;

BEGIN
  CursorOff;
  HighIntensity;
  MakeWin (7,0,1,1,80,25,False,False);

  MakeWin (9,1,1,1,80,20,False,False);
  MakeWin (9,1,6,1,70,20,True,False);
  window (1,1,80,25);

  TcTb (9,1);
  WrtS (4,14,'Ķ');
  WrtS (1,15,'Ĵ');
  WrtS (4,16,'Ķ');

  WrtS (75,4,'Ŀ');
  WrtS (77,5,'');
  WrtS (75,6,'');

  MakeWin (7,3,8,2,66,18,False,False);
  window (9,2,72,12);

  TcTb (1,3);
  WrtCenter (64,1,'"Duke Vacation: Life''s A Beach" by Sunstorm Interactive (1997)');
  WrtCenter (64,2,'Keep watching for more great add-ons from Sunstorm!');
  WrtCenter (64,3,'For the latest updates check out http://www.sunstorm.net');

  TcTb (11,3);
  WrtCenter (64,5,'');
  WrtCenter (64,10,'');

  TcTb (4,3);
  WrtCenter (64,4,'This is not shareware. Please do not distribute.');

  TcTb (14,3);
  WrtS (1,6,'Anthony Campiti    - Project Producer');
  WrtS (1,7,'Robert Travis      - Lead Level Design');
  WrtS (1,8,'Charlie Wiederhold - Project Coordinator/Programmer/Level Design');
  WrtS (1,9,'Dave Manuel        - Artwork/Voice SFX Engineering');

  MakeWin (4 + 16,1,8,12,66,8,False,False);
  window (9,12,72,21);

  TcTb (10 + 16,1);
  WrtS (1,1,'Mike Buck - Artwork');
  WrtS (1,2,'Paul Jury - Artwork');
  WrtS (1,3,'Tyler Larson - Level Design');
  WrtS (1,4,'Bill Buchalter - Level Design');
  WrtS (1,5,'Shawn Swift - Level Design');
  WrtS (1,6,'Joris Weimar - CON Programming');
  WrtS (1,7,'Jenna Ramsey - Music and SFX');
  WrtS (1,8,'Beach Babes - Looking Good!');

  MakeWin (14,7,41,12,33,8,False,False);
  window (42,12,74,20);
  WrtCenter (30,1,'          ');
  WrtCenter (30,2,'              ');
  WrtCenter (30,3,'             ');
  WrtCenter (30,4,'               ');
  WrtCenter (30,5,'             ');
  WrtCenter (30,6,'              ');
  WrtCenter (30,7,'        ');
  TcTb (1,7);
  WrtCenter (30,8,'Duke Vacation: Life''s A Beach');
  window (1,21,80,25);

  TcTb (7,0);
  WrtCenter (80,1,'Duke Nukem 3D is a trademark of 3D Realms. All rights reserved.');
  WrtCenter (80,2,'"Duke Vacation: Life''s a Beach" - Developed by Sunstorm Interactive (1997)');

  window (1,1,80,25);
  TcTb (7,0);
  gotoXY (1,24);
  CursorOn;

END;

{***************************************************************************}
PROCEDURE ControlProcessing;

VAR
  DirInfo    : SearchRec;
  MarkFile   : FILE;
  RenameFile : FILE;
  Count      : Byte;
  Parameters : STRING;

BEGIN
  Error := 0;
  ErrorInfo := '';

{  Parameters := '-ini cryptic.ini -nodemo ';
  FOR Count := 1 TO ParamCount DO
    Parameters := Parameters + ParamStr(Count) +  ' ';

  IF NOT(CheckFile ('ACTIVE.MRK','',Archive)) THEN
      BEGIN

        IF CheckFile ('TILES007.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES007.ART');
              rename (RenameFile,'BART07.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES007.ART';
            END;

        IF CheckFile ('TILES015.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES015.ART');
              rename (RenameFile,'BART15.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES015.ART';
            END;

        IF CheckFile ('CPART07.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'CPART07.AR_');
              rename (RenameFile,'TILES007.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' CPART07.AR_';
            END;

        IF CheckFile ('CPART15.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'CPART15.AR_');
              rename (RenameFile,'TILES015.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' CPART15.AR_';
            END;

        assign (MarkFile,'ACTIVE.MRK');
        rewrite (MarkFile);
        close (MarkFile);
        setfattr (MarkFile,Hidden);
      END;

  IF CheckFile ('BLOOD.EXE','',Archive) THEN
      exec ('BLOOD.EXE',Parameters)
    ELSE
      BEGIN
        Error := 2;
        Exit;
      END;

  IF CheckFile ('ACTIVE.MRK','',Archive) THEN
      BEGIN

        IF CheckFile ('TILES007.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES007.ART');
              rename (RenameFile,'CPART07.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES007.ART';
            END;

        IF CheckFile ('TILES015.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES015.ART');
              rename (RenameFile,'CPART15.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES015.ART';
            END;

        IF CheckFile ('BART07.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'BART07.AR_');
              rename (RenameFile,'TILES007.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' BART07.AR_';
            END;

        IF CheckFile ('BART15.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'BART15.AR_');
              rename (RenameFile,'TILES015.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' BART15.AR_';
            END;

        assign (MarkFile,'ACTIVE.MRK');
        erase (MarkFile);
      END;}

END;

{***************************************************************************}

BEGIN

  ControlProcessing;
  IF Error = 0 THEN
      BEGIN
        ExitScreen;
        readln;
      END
    ELSE
      BEGIN
{        IF Error = 2 THEN
            BEGIN
              writeln ('Fatal error: BLOOD.EXE not found!');
              writeln;
            END
          ELSE
            BEGIN
              write ('Warning: Some expected files were missing...');
              FOR Count := 1 TO Length(ErrorInfo) DO
                BEGIN
                  IF ErrorInfo[Count] = ' ' THEN
                      writeln
                    ELSE
                      write (ErrorInfo[Count]);
                END;
            END;}
      END;

END.