{$M $4000,0,0}
PROGRAM CrypticLauncher;

USES
  NewDelay,
  Crt,
  DOS,
  Utility;

VAR
  Count     : Word;
  Error     : Byte;
  ErrorInfo : STRING;

{***************************************************************************}
PROCEDURE ExitScreen;

BEGIN
  CursorOff;
  HighIntensity;
  MakeWin (7,0,1,1,80,25,False,False);
  MakeWin (8,0,6,1,70,19,True,False);
  window (1,1,80,25);

  WrtS (4,14,'Ķ');
  WrtS (1,15,'Ĵ');
  WrtS (4,16,'Ķ');

  WrtS (75,4,'Ŀ');
  WrtS (77,5,'');
  WrtS (75,6,'');

  MakeWin (15,4,8,2,66,17,False,False);
  window (9,2,72,7);
  WrtCenter (64,1,'`Cryptic Passage'' developed by Sunstorm Interactive, Inc. (1997)');
  WrtCenter (64,2,'Keep watching for more great add-ons from Sunstorm');
  WrtCenter (64,3,'For the latest updates check out http://www.sunstorm.net');
  TcTb (12,4);
  WrtCenter (64,4,'');
  WrtCenter (64,6,'');
  TcTb (7,4);
  WrtCenter (64,5,'This is not shareware. Please do not distribute.');

  window (9,8,72,12);
  TcTb (14,4);
  WrtS (1,1,'Anthony Campiti    - Project Producer');
  WrtS (1,2,'Robert Travis      - Project Director/Lead Level Design');
  WrtS (1,3,'Shawn Swift        - Level Design/Artwork');
  WrtS (1,4,'Charlie Wiederhold - Project Coordinator/Programmer/Level Design');

  MakeWin (3 + 16,0,8,12,66,7,False,False);
  window (9,12,72,20);
  WrtCenter (38,1,'Ŀ');
  WrtCenter (40,2,'');
  WrtCenter (40,3,'');
  WrtCenter (40,4,'');
  WrtCenter (40,5,'');
  WrtCenter (40,6,'');
  WrtCenter (40,7,'');
  TcTb (10 + 16,0);
  WrtS (11,2,'ArtWork:');
  WrtS (22,2,'Level Design:');
  TcTb (7 + 16,0);
  WrtS (10,3,'Paul Jury');
  WrtS (8,4,'Dave Manuel');
  WrtS (3,5,'Michael Beaulieu');
  WrtS (22,3,'Tyler Larson');
  WrtS (22,4,'Jeff Cleveland');
  WrtS (22,5,'Bill Buchalter');
  WrtS (22,6,'Michael Beaulieu');

  TcTb (9 + 16,0);
  WrtS (43,1,'   ');
  WrtS (43,2,'               ');
  WrtS (43,3,'                ');
  WrtS (43,4,'          ');
  WrtS (43,5,'          ');
  WrtS (43,6,'   ');

  TcTb (9,0);
  WrtC (44,6,'');
  WrtC (55,4,'');

  TcTb (0 + 16,0);
  WrtS (44,2,'');
  WrtS (44,7,'   ');
  WrtS (55,2,'');
  WrtS (55,5,'');
  WrtC (44,3,'');
  WrtC (44,4,'');
  WrtC (44,5,'');
  WrtC (51,6,'');
  WrtC (51,2,'');
  WrtC (55,2,'');
  WrtC (55,3,'');
  WrtC (55,5,'');
  WrtC (55,6,'');
  WrtC (62,2,'');
  WrtC (62,3,'');
  WrtC (62,4,'');

  window (1,20,80,25);
  TcTb (8,0);
  WrtCenter (80,1,'Blood is a trademark of Monolith Productions. All rights reserved.');
  WrtCenter (80,2,'`Cryptic Passage'' - Developed by Sunstorm Interactive (1997)');

  window (1,1,80,25);
  TcTb (7,0);
  gotoXY (1,24);
  CursorOn;

END;

{***************************************************************************}
PROCEDURE ControlProcessing;

VAR
  DirInfo    : SearchRec;
  MarkFile   : FILE;
  RenameFile : FILE;
  Count      : Byte;
  Parameters : STRING;

BEGIN
  Error := 0;
  ErrorInfo := '';

  Parameters := '-ini cryptic.ini -nodemo ';
  FOR Count := 1 TO ParamCount DO
    Parameters := Parameters + ParamStr(Count) +  ' ';

  IF NOT(CheckFile ('ACTIVE.MRK','',Archive)) THEN
      BEGIN

        IF CheckFile ('TILES007.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES007.ART');
              rename (RenameFile,'BART07.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES007.ART';
            END;

        IF CheckFile ('TILES015.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES015.ART');
              rename (RenameFile,'BART15.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES015.ART';
            END;

        IF CheckFile ('CPART07.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'CPART07.AR_');
              rename (RenameFile,'TILES007.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' CPART07.AR_';
            END;

        IF CheckFile ('CPART15.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'CPART15.AR_');
              rename (RenameFile,'TILES015.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' CPART15.AR_';
            END;

        assign (MarkFile,'ACTIVE.MRK');
        rewrite (MarkFile);
        close (MarkFile);
        setfattr (MarkFile,Hidden);
      END;

  IF CheckFile ('BLOOD.EXE','',Archive) THEN
      exec ('BLOOD.EXE',Parameters)
    ELSE
      BEGIN
        Error := 2;
        Exit;
      END;

  IF CheckFile ('ACTIVE.MRK','',Archive) THEN
      BEGIN

        IF CheckFile ('TILES007.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES007.ART');
              rename (RenameFile,'CPART07.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES007.ART';
            END;

        IF CheckFile ('TILES015.ART','',Archive) THEN
            BEGIN
              assign (RenameFile,'TILES015.ART');
              rename (RenameFile,'CPART15.AR_');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' TILES015.ART';
            END;

        IF CheckFile ('BART07.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'BART07.AR_');
              rename (RenameFile,'TILES007.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' BART07.AR_';
            END;

        IF CheckFile ('BART15.AR_','',Archive) THEN
            BEGIN
              assign (RenameFile,'BART15.AR_');
              rename (RenameFile,'TILES015.ART');
            END
          ELSE
            BEGIN
              Error := 1;
              ErrorInfo := ErrorInfo + ' BART15.AR_';
            END;

        assign (MarkFile,'ACTIVE.MRK');
        erase (MarkFile);
      END;

END;

{***************************************************************************}

BEGIN

  ControlProcessing;
  IF Error = 0 THEN
      BEGIN
        ExitScreen;
      END
    ELSE
      BEGIN
        IF Error = 2 THEN
            BEGIN
              writeln ('Fatal error: BLOOD.EXE not found!');
              writeln;
            END
          ELSE
            BEGIN
              write ('Warning: Some expected files were missing...');
              FOR Count := 1 TO Length(ErrorInfo) DO
                BEGIN
                  IF ErrorInfo[Count] = ' ' THEN
                      writeln
                    ELSE
                      write (ErrorInfo[Count]);
                END;
            END;
      END;

END.