UNIT GameCon2;

INTERFACE

PROCEDURE GamePart4 (VAR Game : Text);
PROCEDURE GamePart5 (VAR Game : Text);
PROCEDURE GamePart6 (VAR Game : Text);

IMPLEMENTATION

{***********************************}
PROCEDURE GamePart4 (VAR Game : Text);
BEGIN

  writeln (Game, 'action EGGOPEN2 2 1 1 1 4');
  writeln (Game, 'action EGGOPEN3 2 1 1 1 4');
  writeln (Game, '');
  writeln (Game, 'actor EGG TOUGH');
  writeln (Game, '    ifaction EGGOPEN1 ifactioncount 4 action EGGOPEN2');
  writeln (Game, '    ifaction EGGOPEN2 ifactioncount 4 { spawn GREENSLIME action EGGOPEN3 }');
  writeln (Game, '    ifhitweapon { ifdead { addkills 1 state standard_jibs state delete_enemy } else ifaction 0 ',
                 'action EGGOPEN1 }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor KNEE KNEE_WEAPON_STRENGTH enda');
  writeln (Game, 'actor SPIT SPIT_WEAPON_STRENGTH enda');
  writeln (Game, 'actor CHAINGUN CHAINGUN_WEAPON_STRENGTH enda');
  writeln (Game, 'actor SHOTGUN SHOTGUN_WEAPON_STRENGTH enda');
  writeln (Game, 'actor FIRELASER FIRELASER_WEAPON_STRENGTH enda');
  writeln (Game, 'actor HEAVYHBOMB HANDBOMB_WEAPON_STRENGTH enda');
  writeln (Game, 'actor BOUNCEMINE BOUNCEMINE_WEAPON_STRENGTH enda');
  writeln (Game, 'actor MORTER MORTER_WEAPON_STRENGTH enda');
  writeln (Game, 'actor SHRINKSPARK SHRINKER_WEAPON_STRENGTH enda');
  writeln (Game, 'actor RPG RPG_WEAPON_STRENGTH enda');
  writeln (Game, 'actor THROWFLAME FLAMETHROWER_WEAPON_STRENGTH enda');
  writeln (Game, 'actor COOLEXPLOSION1 COOL_EXPLOSION_STRENGTH enda');
  writeln (Game, 'actor TRIPBOMB TRIPBOMB_STRENGTH enda');
  writeln (Game, '');
  writeln (Game, 'action WEAP2FRAMES 0  4  1  1  6');
  writeln (Game, 'actor SHOTSPARK1 PISTOL_WEAPON_STRENGTH WEAP2FRAMES');
  writeln (Game, '    ifdead killit');
  writeln (Game, '    ifactioncount 4 killit');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 3 { ifinwater spawn WATERBUBBLE }');
  writeln (Game, '        else ifcount 2 { } else ifonwater spawn WATERSPLASH2');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'state standard_pjibs');
  writeln (Game, '    guts JIBS1 1');
  writeln (Game, '    guts JIBS3 2');
  writeln (Game, '    guts JIBS4 1');
  writeln (Game, '    guts JIBS5 1');
  writeln (Game, '    guts JIBS6 2');
  writeln (Game, '    guts DUKETORSO 1');
  writeln (Game, '    guts DUKELEG 2');
  writeln (Game, '    guts DUKEGUN 1');
  writeln (Game, '    ifrnd 16 money 1');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'move DUKENOTMOVING');
  writeln (Game, 'state handle_dead_dukes');
  writeln (Game, '    fall');
  writeln (Game, '    ifmove 0     // 1st time initializiation...');
  writeln (Game, '    {');
  writeln (Game, '        ifrnd 128 cstat 4');
  writeln (Game, '        else cstat 0');
  writeln (Game, '        move DUKENOTMOVING');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifsquished');
  writeln (Game, '    {');
  writeln (Game, '        sound SQUISHED');
  writeln (Game, '        spawn OOZ');
  writeln (Game, '        killit');
  writeln (Game, '    }');
  writeln (Game, '    else ifcount 1024 ifpdistg 4096 killit');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        strength 0');
  writeln (Game, '        ifhitweapon ifwasweapon RADIUSEXPLOSION');
  writeln (Game, '        {');
  writeln (Game, '            state standard_jibs');
  writeln (Game, '            killit');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'action PLYINGFRAMES 0 1 0 1 1');
  writeln (Game, 'actor DUKELYINGDEAD 0 PLYINGFRAMES');
  writeln (Game, '    state handle_dead_dukes');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'action PSTAND       0   1   5   1    1');
  writeln (Game, 'action PEXPLODE     106   5   1   1   10');
  writeln (Game, 'action PEXPLODEAD   113   1   1');
  writeln (Game, '');
  writeln (Game, 'action PJPHOUVER    15   1   5   1');
  writeln (Game, 'action PWALK        20   4   5   1   16');
  writeln (Game, 'action PRUN         20   4   5   1   10');
  writeln (Game, 'action PWALKBACK    45   4   5  -1   16');
  writeln (Game, 'action PRUNBACK     45   4   5  -1   10');
  writeln (Game, 'action PJUMPING     50   4   5   1   30');
  writeln (Game, 'action PFALLING     65   1   5');
  writeln (Game, 'action PDUCKING     86   1   5');
  writeln (Game, 'action PCRAWLING    86   3   5   1   20');
  writeln (Game, 'action PAKICKING    40   2   5   1   25');
  writeln (Game, 'action PFLINTCHING  106  1   1   1   10');
  writeln (Game, 'action PTHROWNBACK  106  5   1   1   18');
  writeln (Game, 'action PLYINGDEAD   113  1   1');
  writeln (Game, '');
  writeln (Game, 'action PSWIMMINGGO   375   1   5   1   10');
  writeln (Game, 'action PSWIMMING     375   4   5   1   13');
  writeln (Game, 'action PSWIMMINGWAIT 395   1   5   1   13');
  writeln (Game, 'action PTREDWATER    395   2   5   1   17');
  writeln (Game, '');
  writeln (Game, 'move PSTOPED');
  writeln (Game, 'move PSHRINKING // used as a var only');
  writeln (Game, '');
  writeln (Game, 'state check_dead_thrown_back');
  writeln (Game, '    ifdead');
  writeln (Game, '    {');
  writeln (Game, '        strength 0');
  writeln (Game, '        action PTHROWNBACK');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state check_pstandard');
  writeln (Game, '    ifp pwalking action PWALK');
  writeln (Game, '    else ifp pkicking action PAKICKING');
  writeln (Game, '    else ifp pwalkingback action PWALKBACK');
  writeln (Game, '    else ifp prunning action PRUN');
  writeln (Game, '    else ifp prunningback action PRUNBACK');
  writeln (Game, '    else ifp pjumping');
  writeln (Game, '        action PJUMPING');
  writeln (Game, '    else ifp pducking action PDUCKING');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state random_wall_jibs');
  writeln (Game, '    ifrnd 96 shoot BLOODSPLAT1');
  writeln (Game, '    ifrnd 96 shoot BLOODSPLAT2');
  writeln (Game, '    ifrnd 96 shoot BLOODSPLAT3');
  writeln (Game, '    ifrnd 96 shoot BLOODSPLAT4');
  writeln (Game, '    ifrnd 96 shoot BLOODSPLAT1');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'actor APLAYER 100 PSTAND 0 0');
  writeln (Game, '//    ifhitspace spawn BLOODPOOL');
  writeln (Game, '    ifaction 0 action PSTAND');
  writeln (Game, '    ifdead');
  writeln (Game, '    {');
  writeln (Game, '        ifsquished palfrom 32 63 63 63');
  writeln (Game, '        else fall');
  writeln (Game, '');
  writeln (Game, '        ifactioncount 7 { move 0 } else ifactioncount 6 ifplayersl 2');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 84 globalsound DUKE_KILLED1');
  writeln (Game, '            else ifrnd 108 globalsound DUKE_KILLED2');
  writeln (Game, '            else globalsound DUKE_KILLED3');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifaction PLYINGDEAD');
  writeln (Game, '        {');
  writeln (Game, '            ifactioncount 3 move PSTOPED');
  writeln (Game, '            quote 13');
  writeln (Game, '            ifhitspace');
  writeln (Game, '            {');
  writeln (Game, '                action PSTAND');
  writeln (Game, '                spawn DUKELYINGDEAD');
  writeln (Game, '                resetplayer');
  writeln (Game, '            }');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '        else ifaction PTHROWNBACK');
  writeln (Game, '        {');
  writeln (Game, '            ifactioncount 5');
  writeln (Game, '            {');
  writeln (Game, '                spawn BLOODPOOL');
  writeln (Game, '                action PLYINGDEAD');
  writeln (Game, '            }');
  writeln (Game, '            else ifactioncount 1 move 0');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '        else ifaction PEXPLODEAD');
  writeln (Game, '        {');
  writeln (Game, '            quote 13');
  writeln (Game, '            ifhitspace');
  writeln (Game, '            {');
  writeln (Game, '                action PSTAND');
  writeln (Game, '                resetplayer');
  writeln (Game, '            }');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '        else ifaction PEXPLODE');
  writeln (Game, '        {');
  writeln (Game, '            ifactioncount 5');
  writeln (Game, '            {');
  writeln (Game, '                action PEXPLODEAD');
  writeln (Game, '                spawn BLOODPOOL');
  writeln (Game, '            }');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        else ifp pshrunk');
  writeln (Game, '        {');
  writeln (Game, '            state standard_pjibs');
  writeln (Game, '            spawn BLOODPOOL');
  writeln (Game, '');
  writeln (Game, '            sound SQUISHED');
  writeln (Game, '            cstat 32768                 // Hide the sprite');
  writeln (Game, '');
  writeln (Game, '            action PLYINGDEAD');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifinwater');
  writeln (Game, '            {');
  writeln (Game, '                action PLYINGDEAD');
  writeln (Game, '                spawn WATERBUBBLE');
  writeln (Game, '                spawn WATERBUBBLE');
  writeln (Game, '            }');
  writeln (Game, '            else');
  writeln (Game, '            {');
  writeln (Game, '                action PEXPLODE');
  writeln (Game, '                state standard_pjibs');
  writeln (Game, '                cstat 32768');
  writeln (Game, '                sound SQUISHED');
  writeln (Game, '            }');
  writeln (Game, '        }');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifsquished');
  writeln (Game, '    {');
  writeln (Game, '        strength -1');
  writeln (Game, '        sound SQUISHED');
  writeln (Game, '        spawn OOZ');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifp ponsteroids');
  writeln (Game, '    {');
  writeln (Game, '        ifp pstanding { }');
  writeln (Game, '        else spawn FRAMEEFFECT1');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifmove PSHRINKING');
  writeln (Game, '    {');
  writeln (Game, '        ifcount 32');
  writeln (Game, '        {');
  writeln (Game, '            ifcount SHRUNKDONECOUNT move 0');
  writeln (Game, '            else ifcount SHRUNKCOUNT');
  writeln (Game, '            {');
  writeln (Game, '                sizeto 42 36');
  writeln (Game, '                ifgapzl 24');
  writeln (Game, '                {');
  writeln (Game, '                    strength 0');
  writeln (Game, '                    sound SQUISHED');
  writeln (Game, '                    palfrom 48 64');
  writeln (Game, '                    break');
  writeln (Game, '                }');
  writeln (Game, '            }');
  writeln (Game, '            else ifp ponsteroids count SHRUNKCOUNT');
  writeln (Game, '        }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifp ponsteroids count SHRUNKCOUNT');
  writeln (Game, '            else { sizeto 8 9 spawn FRAMEEFFECT1 }');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    else ifhitweapon');
  writeln (Game, '    {');
  writeln (Game, '        ifdead { } else sound DUKE_LONGTERM_PAIN');
  writeln (Game, '        ifstrength TOUGH');
  writeln (Game, '        {');
  writeln (Game, '            state headhitstate');
  writeln (Game, '            ifp pstanding action PFLINTCHING');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifwasweapon RPG');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 32 spawn BLOOD');
  writeln (Game, '            ifdead state standard_pjibs');
  writeln (Game, '            palfrom 48 52');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '        ifwasweapon RADIUSEXPLOSION');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 32 spawn BLOOD');
  writeln (Game, '            ifdead state standard_pjibs');
  writeln (Game, '            palfrom 48 52');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '        ifwasweapon FIREEXT');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 32 spawn BLOOD');
  writeln (Game, '            ifdead state standard_pjibs');
  writeln (Game, '            palfrom 48 52');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifdead { cstat 0 ifplayersl 2 { } else sound DUKE_DEAD }');
  writeln (Game, '');
  writeln (Game, '        ifwasweapon SHRINKSPARK');
  writeln (Game, '        {');
  writeln (Game, '            palfrom 48 0 48');
  writeln (Game, '            move PSHRINKING // used as a var only.');
  writeln (Game, '            sound ACTOR_SHRINKING');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifwasweapon SHOTSPARK1 palfrom 24 48');

END;

{***********************************}
PROCEDURE GamePart5 (VAR Game : Text);
BEGIN

  writeln (Game, '        else ifwasweapon COOLEXPLOSION1 palfrom 48 48 0 48');
  writeln (Game, '        else ifwasweapon KNEE palfrom 16 32');
  writeln (Game, '        else ifwasweapon FIRELASER palfrom 32 32');
  writeln (Game, '        else ifwasweapon THROWFLAME { quote 108 palfrom 32 64 ifrnd 16 spawn BURNING }');
  writeln (Game, '');
  writeln (Game, '        state check_dead_thrown_back');
  writeln (Game, '        state random_wall_jibs');
  writeln (Game, '');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifaction PFLINTCHING');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 2 action PSTAND');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifinwater');
  writeln (Game, '    {');
  writeln (Game, '        ifaction PTREDWATER');
  writeln (Game, '        {');
  writeln (Game, '            ifp pwalking prunning action PSWIMMINGGO');
  writeln (Game, '        }');
  writeln (Game, '        else ifp pstanding pwalkingback prunningback action PTREDWATER');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifaction PSWIMMING');
  writeln (Game, '            {');
  writeln (Game, '                ifrnd 4 spawn WATERBUBBLE');
  writeln (Game, '                ifactioncount 4');
  writeln (Game, '                    action PSWIMMINGWAIT');
  writeln (Game, '            }');
  writeln (Game, '            else ifaction PSWIMMINGWAIT');
  writeln (Game, '            {');
  writeln (Game, '                ifactioncount 2');
  writeln (Game, '                    action PSWIMMINGGO');
  writeln (Game, '            }');
  writeln (Game, '            else ifaction PSWIMMINGGO');
  writeln (Game, '            {');
  writeln (Game, '                ifactioncount 2');
  writeln (Game, '                    action PSWIMMING');
  writeln (Game, '            }');
  writeln (Game, '            else action PTREDWATER');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifrnd 4 spawn WATERBUBBLE // For effect');
  writeln (Game, '');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    else ifp pjetpack');
  writeln (Game, '    {');
  writeln (Game, '        ifaction PJPHOUVER');
  writeln (Game, '        {');
  writeln (Game, '            ifactioncount 4');
  writeln (Game, '                resetactioncount');
  writeln (Game, '        }');
  writeln (Game, '        else action PJPHOUVER');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        ifaction PTREDWATER action PSTAND');
  writeln (Game, '        ifaction PSWIMMING action PSTAND');
  writeln (Game, '        ifaction PSWIMMINGWAIT action PSTAND');
  writeln (Game, '        ifaction PSWIMMINGGO action PSTAND');
  writeln (Game, '        ifaction PJPHOUVER action PFALLING');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifaction PFALLING');
  writeln (Game, '    {');
  writeln (Game, '        ifp ponground');
  writeln (Game, '            action PSTAND');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifp pfalling break');
  writeln (Game, '            else state check_pstandard');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifaction PDUCKING');
  writeln (Game, '    {');
  writeln (Game, '        ifgapzl 48');
  writeln (Game, '        {');
  writeln (Game, '            ifp pwalking pwalkingback prunning prunningback action PCRAWLING');
  writeln (Game, '        }');
  writeln (Game, '        else ifp pducking');
  writeln (Game, '        {');
  writeln (Game, '            ifp pwalking pwalkingback prunning prunningback action PCRAWLING');
  writeln (Game, '        }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifp pstanding action PSTAND');
  writeln (Game, '            else state check_pstandard');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    else ifaction PCRAWLING');
  writeln (Game, '    {');
  writeln (Game, '        ifgapzl 48');
  writeln (Game, '        {');
  writeln (Game, '            ifp pstanding action PCRAWLING');
  writeln (Game, '        }');
  writeln (Game, '        else ifp pducking');
  writeln (Game, '        {');
  writeln (Game, '            ifp pstanding action PDUCKING');
  writeln (Game, '        }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            ifp pstanding action PSTAND');
  writeln (Game, '            else state check_pstandard');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else ifgapzl 48 action PDUCKING');
  writeln (Game, '');
  writeln (Game, '    else ifaction PJUMPING');
  writeln (Game, '    {');
  writeln (Game, '        ifp ponground action PSTAND');
  writeln (Game, '        else ifactioncount 4 ifp pfalling action PFALLING');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifp pfalling action PFALLING');
  writeln (Game, '    else ifaction PSTAND state check_pstandard');
  writeln (Game, '    else ifaction PAKICKING');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 2 action PSTAND');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction PWALK');
  writeln (Game, '    {');
  writeln (Game, '        ifp pfalling action PFALLING');
  writeln (Game, '        else ifp pstanding action PSTAND');
  writeln (Game, '        else ifp prunning action PRUN');
  writeln (Game, '        else ifp pwalkingback action PWALKBACK');
  writeln (Game, '        else ifp prunningback action PRUNBACK');
  writeln (Game, '        else ifp pjumping');
  writeln (Game, '            action PJUMPING');
  writeln (Game, '        else ifp pducking action PDUCKING');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    else ifaction PRUN');
  writeln (Game, '    {');
  writeln (Game, '        ifp pstanding action PSTAND');
  writeln (Game, '        else ifp pwalking action PWALK');
  writeln (Game, '        else ifp pwalkingback action PWALKBACK');
  writeln (Game, '        else ifp prunningback action PRUNBACK');
  writeln (Game, '        else ifp pjumping');
  writeln (Game, '            action PJUMPING');
  writeln (Game, '        else ifp pducking action PDUCKING');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    else ifaction PWALKBACK');
  writeln (Game, '    {');
  writeln (Game, '        ifp pstanding action PSTAND');
  writeln (Game, '        else ifp pwalking action PWALK');
  writeln (Game, '        else ifp prunning action PRUN');
  writeln (Game, '        else ifp prunningback action PRUNBACK');
  writeln (Game, '        else ifp pjumping');
  writeln (Game, '            action PJUMPING');
  writeln (Game, '        else ifp pducking action PDUCKING');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    else ifaction PRUNBACK');
  writeln (Game, '    {');
  writeln (Game, '        ifp pstanding action PSTAND');
  writeln (Game, '        else ifp pwalking action PWALK');
  writeln (Game, '        else ifp prunning action PRUN');
  writeln (Game, '        else ifp pwalkingback action PWALKBACK');
  writeln (Game, '        else ifp pjumping');
  writeln (Game, '            action PJUMPING');
  writeln (Game, '        else ifp pducking action PDUCKING');
  writeln (Game, '    }');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'state genericshrunkcode');
  writeln (Game, '    ifcount 32 { ifpdistl RETRIEVEDISTANCE pstomp }');
  writeln (Game, '    else { sizeto 9 8 spawn FRAMEEFFECT1 }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'actor ORGANTIC TURRETSTRENGTH');
  writeln (Game, '    ifcount 48 resetcount');
  writeln (Game, '    else { ifcount 32 sizeto 32 32 }');
  writeln (Game, '    else ifcount 16 { sizeto 48 18 ifpdistl 2048 { sound TURR_ATTACK addphealth -2 palfrom 32 16 } }');
  writeln (Game, '    ifhitweapon { ifdead { addkills 1 sound TURR_DYING guts JIBS5 10 state delete_enemy } sound ',
                 'TURR_PAIN break }');
  writeln (Game, '    ifrnd 1 soundonce TURR_ROAM');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'state rf');
  writeln (Game, '    ifrnd 128 cstat 4');
  writeln (Game, '    else cstat 0');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, '//');
  writeln (Game, '//');
  writeln (Game, '//      TROOP/LIZTROOP CODE');
  writeln (Game, '//');
  writeln (Game, '//');
  writeln (Game, '');
  writeln (Game, 'action ATROOPSTAND       0    1    5    1    1');
  writeln (Game, 'action ATROOPSTAYSTAND  -2    1    5    1    1');
  writeln (Game, 'action ATROOPWALKING     0    4    5    1   12');
  writeln (Game, 'action ATROOPWALKINGBACK 15   4    5   -1   12');
  writeln (Game, 'action ATROOPRUNNING     0    4    5    1    8');
  writeln (Game, 'action ATROOPSHOOT      35    1    5    1   30');
  writeln (Game, 'action ATROOPJETPACK    40    1    5    1    1');
  writeln (Game, 'action ATROOPJETPACKILL 40    2    5    1   50');
  writeln (Game, 'action ATROOPFLINTCH    50    1    1    1    6');
  writeln (Game, 'action ATROOPDYING      50    5    1    1   16');
  writeln (Game, 'action ATROOPDEAD       54');
  writeln (Game, 'action ATROOPPLAYDEAD   54');
  writeln (Game, 'action ATROOPSUFFERDEAD 58    2    1   -4   24');
  writeln (Game, 'action ATROOPSUFFERING  59    2    1    1   21');
  writeln (Game, 'action ATROOPDUCK       64    1    5    1    3');
  writeln (Game, 'action ATROOPDUCKSHOOT  64    2    5    1   25');
  writeln (Game, 'action ATROOPABOUTHIDE  74    1    1    1   25');
  writeln (Game, 'action ATROOPHIDE       79    1    1    1   25');
  writeln (Game, 'action ATROOPREAPPEAR   74    1    1    1   25');
  writeln (Game, '');
  writeln (Game, 'move TROOPWALKVELS 72');
  writeln (Game, 'move TROOPWALKVELSBACK -72');
  writeln (Game, 'move TROOPJETPACKVELS 64 -84');
  writeln (Game, 'move TROOPJETPACKILLVELS 192 -38');
  writeln (Game, 'move TROOPRUNVELS 108');
  writeln (Game, 'move TROOPSTOPPED');
  writeln (Game, 'move DONTGETUP');
  writeln (Game, 'move SHRUNKVELS 32');
  writeln (Game, '');
  writeln (Game, 'ai AITROOPSEEKENEMY  ATROOPWALKING   TROOPWALKVELS seekplayer');
  writeln (Game, 'ai AITROOPSEEKPLAYER ATROOPWALKING   TROOPWALKVELS seekplayer');
  writeln (Game, 'ai AITROOPFLEEING    ATROOPWALKING   TROOPWALKVELS fleeenemy');
  writeln (Game, 'ai AITROOPFLEEINGBACK ATROOPWALKINGBACK   TROOPWALKVELSBACK face_player');
  writeln (Game, 'ai AITROOPDODGE      ATROOPWALKING   TROOPRUNVELS  dodgebullet');
  writeln (Game, 'ai AITROOPSHOOTING   ATROOPSHOOT     TROOPSTOPPED  face_player');
  writeln (Game, 'ai AITROOPDUCKING    ATROOPDUCK      TROOPSTOPPED  face_player');
  writeln (Game, 'ai AITROOPJETPACK    ATROOPJETPACK   TROOPJETPACKVELS seekplayer');
  writeln (Game, 'ai AITROOPSHRUNK     ATROOPWALKING   SHRUNKVELS fleeenemy');
  writeln (Game, 'ai AITROOPHIDE       ATROOPABOUTHIDE TROOPSTOPPED face_player');
  writeln (Game, '');
  writeln (Game, 'state troophidestate');
  writeln (Game, '    ifaction ATROOPREAPPEAR');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 2 { sound TELEPORTER ai AITROOPSHOOTING cstat 257 }');
  writeln (Game, '        else { sizeto 41 40 sizeto 41 40 sizeto 41 40 sizeto 41 40 spawn FRAMEEFFECT1 }');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ATROOPWALKING');
  writeln (Game, '    {');
  writeln (Game, '        ifpdistl 2448 ifpdistg 1024');
  writeln (Game, '        {');
  writeln (Game, '            ifceilingdistl 48 break');
  writeln (Game, '            ifp pfacing break');
  writeln (Game, '');
  writeln (Game, '            ifgapzl 64 { } else ifawayfromwall { spawn TRANSPORTERSTAR action ',
                 'ATROOPREAPPEAR move 0 break }');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ATROOPHIDE');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 2');
  writeln (Game, '        {');
  writeln (Game, '            spawn TRANSPORTERSTAR');
  writeln (Game, '            sound TELEPORTER');
  writeln (Game, '            action ATROOPWALKING move TROOPWALKVELS face_player');
  writeln (Game, '            cstat 32768');
  writeln (Game, '        }');
  writeln (Game, '        else');
  writeln (Game, '        {');
  writeln (Game, '            sizeto 0 40');
  writeln (Game, '            sizeto 0 40');
  writeln (Game, '            sizeto 0 40');
  writeln (Game, '            sizeto 0 40');
  writeln (Game, '            spawn FRAMEEFFECT1');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ATROOPABOUTHIDE ifactioncount 2 { action ATROOPHIDE cstat 0 }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'state troopgunnashoot');
  writeln (Game, '    ifp palive');
  writeln (Game, '    {');
  writeln (Game, '        ifpdistl 1024 ai AITROOPSHOOTING');
  writeln (Game, '        else ifactornotstayput');
  writeln (Game, '        {');
  writeln (Game, '            ifactioncount 12 ifrnd 16 ifcanshoottarget');
  writeln (Game, '            {');
  writeln (Game, '                ifspritepal 21 ifrnd 4 ifpdistg 4096 ai AITROOPHIDE');
  writeln (Game, '                else');
  writeln (Game, '                {');
  writeln (Game, '                    ifpdistl 1100 ai AITROOPFLEEING');
  writeln (Game, '                    else');
  writeln (Game, '                    {');
  writeln (Game, '                        ifpdistl 4096 ifcansee ifcanshoottarget ai AITROOPSHOOTING');
  writeln (Game, '                        else { move TROOPRUNVELS seekplayer action ATROOPRUNNING }');
  writeln (Game, '                    }');
  writeln (Game, '                }');
  writeln (Game, '            }');
  writeln (Game, '        }');
  writeln (Game, '        else ifcount 26 ifrnd 32 ai AITROOPSHOOTING');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopseekstate');

END;

{***********************************}
PROCEDURE GamePart6 (VAR Game : Text);
BEGIN

  writeln (Game, '    state troopgunnashoot');
  writeln (Game, '    ifcansee');
  writeln (Game, '    {');
  writeln (Game, '        ifmove TROOPRUNVELS ifpdistl 1596 ai AITROOPDUCKING');
  writeln (Game, '        ifp phigher { ifceilingdistl 128 { } else ifactornotstayput ai AITROOPJETPACK break }');
  writeln (Game, '        else ifrnd 2');
  writeln (Game, '        {');
  writeln (Game, '            ifspritepal 21 ifpdistg 1596 { ai AITROOPHIDE break }');
  writeln (Game, '            ifbulletnear { ifrnd 128 ai AITROOPDODGE else ai AITROOPDUCKING break }');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    ifnotmoving { ifrnd 32 operate else ifcount 32 ifp palive ifcansee ifcanshoottarget ai ',
                 'AITROOPSHOOTING }');
  writeln (Game, '    ifrnd 1');
  writeln (Game, '    {');
  writeln (Game, '        ifrnd 128 soundonce PRED_ROAM');
  writeln (Game, '        else soundonce PRED_ROAM2');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopduckstate');
  writeln (Game, '    ifaction ATROOPDUCK');
  writeln (Game, '        { ifactioncount 8 { ifp palive { ifrnd 128 action ATROOPDUCKSHOOT } else ifmove ',
                 'DONTGETUP break else ',
                 'ai AITROOPSEEKPLAYER } }');
  writeln (Game, '    else ifaction ATROOPDUCKSHOOT');
  writeln (Game, '    {');
  writeln (Game, '        ifcount 64');
  writeln (Game, '        {');
  writeln (Game, '            ifmove DONTGETUP resetcount');
  writeln (Game, '            else');
  writeln (Game, '            {');
  writeln (Game, '                ifpdistl 1100');
  writeln (Game, '                    ai AITROOPFLEEING');
  writeln (Game, '                else ai AITROOPSEEKPLAYER');
  writeln (Game, '            }');
  writeln (Game, '        }');
  writeln (Game, '        else ifactioncount 2 { ifcanshoottarget { sound PRED_ATTACK resetactioncount shoot FIRELASER } ',
                 'else ai AITROOPSEEKPLAYER }');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopshootstate');
  writeln (Game, '    ifactioncount 2');
  writeln (Game, '    {');
  writeln (Game, '        ifcanshoottarget');
  writeln (Game, '        {');
  writeln (Game, '            shoot FIRELASER sound PRED_ATTACK resetactioncount');
  writeln (Game, '            ifrnd 128 ai AITROOPSEEKPLAYER');
  writeln (Game, '            ifcount 24');
  writeln (Game, '            {');
  writeln (Game, '                ifrnd 96 ifpdistg 2048 ai AITROOPSEEKPLAYER');
  writeln (Game, '                else');
  writeln (Game, '                {');
  writeln (Game, '                    ifpdistg 1596 ai AITROOPFLEEING');
  writeln (Game, '                    else ai AITROOPFLEEINGBACK');
  writeln (Game, '                }');
  writeln (Game, '            }');
  writeln (Game, '        }');
  writeln (Game, '        else ai AITROOPSEEKPLAYER');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopfleestate');
  writeln (Game, '    ifactioncount 7');
  writeln (Game, '    {');
  writeln (Game, '        ifpdistg 3084 { ai AITROOPSEEKPLAYER break }');
  writeln (Game, '        else ifrnd 32 ifp palive ifcansee ifcanshoottarget { ifrnd 128 ai AITROOPDUCKING else ai ',
                 'AITROOPSHOOTING break }');
  writeln (Game, '    }');
  writeln (Game, '    ifnotmoving');
  writeln (Game, '    {');
  writeln (Game, '        ifrnd 32 operate else ifcount 32 ifp palive ifcansee ifcanshoottarget');
  writeln (Game, '            { ifrnd 128 ai AITROOPSHOOTING else ai AITROOPDUCKING }');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopdying');
  writeln (Game, '    iffloordistl 32 { ifactioncount 5 { cstat 0 iffloordistl 8 sound THUD ifrnd 64 spawn BLOODPOOL state ',
                 'rf strength 0 move TROOPSTOPPED action ATROOPDEAD } break }');
  writeln (Game, '    else { state rf move 0 action ATROOPDYING }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state checktroophit');
  writeln (Game, '    ifaction ATROOPSUFFERING { stopsound LIZARD_BEG sound PRED_DYING cstat 0 strength 0 action ',
                 'ATROOPSUFFERDEAD break }');
  writeln (Game, '    ifdead');
  writeln (Game, '    {');
  writeln (Game, '        state drop_ammo');
  writeln (Game, '        state random_wall_jibs');
  writeln (Game, '        addkills 1');
  writeln (Game, '');
  writeln (Game, '        ifwasweapon RPG { sound SQUISHED state troop_body_jibs state standard_jibs state delete_enemy }');
  writeln (Game, '        else ifwasweapon RADIUSEXPLOSION { sound SQUISHED state troop_body_jibs state standard_jibs state ',
                 'delete_enemy }');
  writeln (Game, '        else ifwasweapon THROWFLAME { spawn BURNING sound SQUISHED state troop_body_jibs state standard_',
                 'jibs state delete_enemy }');
  writeln (Game, '        else { ifrnd 16 iffloordistl 32 { sound LIZARD_BEG spawn BLOODPOOL strength 0 move 0 action ',
                 'ATROOPSUFFERING break } action ATROOPDYING break }');
  writeln (Game, '        sound PRED_DYING');
  writeln (Game, '    }');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        state random_wall_jibs');
  writeln (Game, '        sound PRED_PAIN');
  writeln (Game, '        ifwasweapon SHRINKSPARK { sound ACTOR_SHRINKING ai AITROOPSHRUNK }');
  writeln (Game, '        else ifwasweapon THROWFLAME quote 14');
  writeln (Game, '        iffloordistl 32 ifrnd 96 action ATROOPFLINTCH');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopjetpackstate');
  writeln (Game, '    ifaction ATROOPJETPACKILL');
  writeln (Game, '    {');
  writeln (Game, '        ifcansee ifactioncount 2');
  writeln (Game, '        {');
  writeln (Game, '            resetactioncount');
  writeln (Game, '            sound PRED_ATTACK');
  writeln (Game, '            shoot FIRELASER');
  writeln (Game, '        }');
  writeln (Game, '');
  writeln (Game, '        ifp phigher ai AITROOPJETPACK');
  writeln (Game, '        else ifinwater ai AITROOPJETPACK');
  writeln (Game, '        ifcount 26 iffloordistl 32 ai AITROOPSEEKPLAYER');
  writeln (Game, '    }');
  writeln (Game, '    else ifcount 48 ifcansee');
  writeln (Game, '        { action ATROOPJETPACKILL move TROOPJETPACKILLVELS seekplayer }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state checksquished');
  writeln (Game, '    ifsquished { addkills 1 sound SQUISHED state standard_jibs spawn OOZ state delete_enemy }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopsufferingstate');
  writeln (Game, '    ifactioncount 2');
  writeln (Game, '    {');
  writeln (Game, '        ifrnd 16 spawn WATERDRIP');
  writeln (Game, '        ifactioncount 14 { stopsound LIZARD_BEG cstat 0 strength 0 action ATROOPSUFFERDEAD break }');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopshrunkstate');
  writeln (Game, '    ifcount SHRUNKDONECOUNT { ifdead { addkills 1 sound SQUISHED state troop_body_jibs state ',
                 'standard_jibs state delete_enemy } ai AITROOPSEEKENEMY }');
  writeln (Game, '    else ifcount SHRUNKCOUNT sizeto 48 40');
  writeln (Game, '    else state genericshrunkcode');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state troopcode fall');
  writeln (Game, '    ifinwater ifrnd 1 spawn WATERBUBBLE');
  writeln (Game, '    ifaction ATROOPSTAND { ifrnd 192 ai AITROOPSHOOTING else ai AITROOPSEEKPLAYER }');
  writeln (Game, '');
  writeln (Game, '    ifinwater ifrnd 4 spawn WATERBUBBLE');
  writeln (Game, '    else ifaction ATROOPPLAYDEAD');
  writeln (Game, '    {');
  writeln (Game, '        ifhitweapon');
  writeln (Game, '        {');
  writeln (Game, '            ifwasweapon RADIUSEXPLOSION { sound SQUISHED state troop_body_jibs state ',
                 'standard_jibs state delete_enemy }');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '        else state checksquished');
  writeln (Game, '');
  writeln (Game, '        ifcount PLAYDEADTIME { addkills -1 soundonce PRED_ROAM cstat 257 strength 1 ai AITROOPSHOOTING }');
  writeln (Game, '        else ifp pfacing resetcount');
  writeln (Game, '');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ATROOPDEAD');
  writeln (Game, '    {');
  writeln (Game, '        strength 0');
  writeln (Game, '        ifrespawn ifcount RESPAWNACTORTIME { spawn TRANSPORTERSTAR cstat 257 strength TROOPSTRENGTH ai ',
                 'AITROOPSEEKENEMY }');
  writeln (Game, '        ifhitweapon');
  writeln (Game, '        {');
  writeln (Game, '            ifwasweapon RADIUSEXPLOSION { sound SQUISHED state troop_body_jibs state standard_jibs state ',
                 'delete_enemy }');
  writeln (Game, '            break');
  writeln (Game, '        }');
  writeln (Game, '        else state checksquished');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ATROOPSUFFERDEAD');
  writeln (Game, '    {');
  writeln (Game, '        ifactioncount 2');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 64 { resetcount action ATROOPPLAYDEAD }');
  writeln (Game, '            else { soundonce PRED_DYING action ATROOPDEAD }');
  writeln (Game, '        }');
  writeln (Game, '    }');
  writeln (Game, '    else ifaction ATROOPDYING { state troopdying break }');
  writeln (Game, '    else ifaction ATROOPSUFFERING');
  writeln (Game, '        { state troopsufferingstate ifhitweapon state checktroophit break }');
  writeln (Game, '    else ifaction ATROOPFLINTCH { ifactioncount 4 ai AITROOPSEEKENEMY }');
  writeln (Game, '    else');
  writeln (Game, '    {');
  writeln (Game, '        ifai AITROOPSEEKPLAYER state troopseekstate');
  writeln (Game, '        else ifai AITROOPJETPACK { state troopjetpackstate soundonce DUKE_JETPACK_IDLE }');
  writeln (Game, '        else ifai AITROOPSEEKENEMY state troopseekstate');
  writeln (Game, '        else ifai AITROOPSHOOTING state troopshootstate');
  writeln (Game, '        else ifai AITROOPFLEEING state troopfleestate');
  writeln (Game, '        else ifai AITROOPFLEEINGBACK state troopfleestate');
  writeln (Game, '        else ifai AITROOPDODGE state troopseekstate');
  writeln (Game, '        else ifai AITROOPDUCKING state troopduckstate');
  writeln (Game, '        else ifai AITROOPSHRUNK state troopshrunkstate');
  writeln (Game, '        else ifai AITROOPHIDE { state troophidestate break }');
  writeln (Game, '    }');
  writeln (Game, '');
  writeln (Game, '    ifhitweapon state checktroophit else state checksquished');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'actor LIZTROOPJETPACK TROOPSTRENGTH ai AITROOPJETPACK cactor LIZTROOP enda');
  writeln (Game, 'actor LIZTROOPDUCKING TROOPSTRENGTH');
  writeln (Game, '    ai AITROOPDUCKING cactor LIZTROOP');
  writeln (Game, '    ifgapzl 48 move DONTGETUP');
  writeln (Game, 'enda');
  writeln (Game, '');
  writeln (Game, 'actor LIZTROOPSHOOT TROOPSTRENGTH ATROOPSTAND ai AITROOPSHOOTING cactor LIZTROOP enda');
  writeln (Game, 'actor LIZTROOPSTAYPUT TROOPSTRENGTH ATROOPSTAYSTAND ai AITROOPSEEKPLAYER cactor LIZTROOP enda');
  writeln (Game, 'actor LIZTROOPRUNNING TROOPSTRENGTH ATROOPSTAND ai AITROOPSEEKPLAYER cactor LIZTROOP enda');
  writeln (Game, 'actor LIZTROOPONTOILET TROOPSTRENGTH ifcount 24 { sound FLUSH_TOILET operate ai AITROOPSEEKPLAYER cactor ',
                 'LIZTROOP } enda');
  writeln (Game, '');
  writeln (Game, 'actor LIZTROOP TROOPSTRENGTH ATROOPSTAND state troopcode enda');
  writeln (Game, '');
  writeln (Game, '');
  writeln (Game, 'action ALIZWALKING       0     4    5    1    15');
  writeln (Game, 'action ALIZRUNNING       0     4    5    1    11');
  writeln (Game, 'action ALIZTHINK         20    2    5    1    40');
  writeln (Game, 'action ALIZSCREAM        30    1    5    1    2');
  writeln (Game, 'action ALIZJUMP          40    4    5    1    16');
  writeln (Game, 'action ALIZSHOOTING      70    2    5    1    20');
  writeln (Game, 'action ALIZDYING         60    6    1    1    15');
  writeln (Game, 'action ALIZLYINGDEAD     66    1');
  writeln (Game, '');
  writeln (Game, 'move LIZWALKVEL 72');
  writeln (Game, 'move LIZRUNVEL 192');
  writeln (Game, 'move LIZJUMPVEL  96 -84');
  writeln (Game, 'move LIZSTOP');
  writeln (Game, '');
  writeln (Game, 'ai AILIZGETENEMY ALIZWALKING LIZWALKVEL seekplayer');
  writeln (Game, 'ai AILIZDODGE ALIZRUNNING LIZRUNVEL dodgebullet');
  writeln (Game, 'ai AILIZCHARGEENEMY ALIZRUNNING LIZRUNVEL face_player');
  writeln (Game, 'ai AILIZFLEENEMY ALIZWALKING LIZWALKVEL fleeenemy');
  writeln (Game, 'ai AILIZSHOOTENEMY ALIZSHOOTING LIZSTOP face_player');
  writeln (Game, 'ai AILIZJUMPENEMY ALIZJUMP LIZJUMPVEL face_player');
  writeln (Game, 'ai AILIZTHINK ALIZTHINK LIZSTOP face_player');
  writeln (Game, 'ai AILIZSHRUNK ALIZWALKING SHRUNKVELS face_player');
  writeln (Game, 'ai AILIZSPIT ALIZSCREAM LIZSTOP face_player');
  writeln (Game, 'ai AILIZDYING ALIZDYING LIZSTOP face_player');
  writeln (Game, '');
  writeln (Game, 'state lizseekstate');
  writeln (Game, '');
  writeln (Game, '    ifp palive ifcount 52 ifcansee ifcanshoottarget { ai AILIZSHOOTENEMY break }');
  writeln (Game, '');
  writeln (Game, '    ifai AILIZCHARGEENEMY');
  writeln (Game, '    {');
  writeln (Game, '        ifpdistl 2048');
  writeln (Game, '        {');
  writeln (Game, '            ifrnd 128 ifcansee ifcanshoottarget ai AILIZSHOOTENEMY');
  writeln (Game, '            else ifgapzl 128 ifactornotstayput ai AILIZJUMPENEMY');
  writeln (Game, '        }');
  writeln (Game, '        break');
  writeln (Game, '    }');
  writeln (Game, '    ifrnd 32 ifnotmoving operate');
  writeln (Game, '    ifpdistg 4096 { ifrnd 32 ai AILIZCHARGEENEMY }');
  writeln (Game, '');
  writeln (Game, '    ifrnd 1 ifbulletnear');
  writeln (Game, '    {');
  writeln (Game, '        ifgapzl 128 ai AILIZDODGE');
  writeln (Game, '        else ifactornotstayput { ifrnd 32 ai AILIZJUMPENEMY else ai AILIZDODGE }');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state lizshrunkstate');
  writeln (Game, '    ifcount SHRUNKDONECOUNT { ifdead { addkills 1 sound SQUISHED state liz_body_jibs state standard_jibs ',
                 'state delete_enemy } ai AILIZGETENEMY }');
  writeln (Game, '    else ifcount SHRUNKCOUNT sizeto 48 40');
  writeln (Game, '    else state genericshrunkcode');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state lizfleestate');
  writeln (Game, '    ifnotmoving ai AILIZGETENEMY');
  writeln (Game, '    else ifrnd 16 ifpdistl 2048 ifp palive ifcansee ai AILIZSPIT');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state lizthinkstate');
  writeln (Game, '    ifrnd 8 soundonce CAPT_ROAM');
  writeln (Game, '    ifactioncount 3');
  writeln (Game, '    {');
  writeln (Game, '        ifrnd 32 ifp palive ifcansee ai AILIZSPIT');
  writeln (Game, '        else ifrnd 96 ai AILIZGETENEMY');
  writeln (Game, '    }');
  writeln (Game, '    else ifactioncount 2 ifrnd 8 spawn FECES');
  writeln (Game, '    ifrnd 1 ifbulletnear');
  writeln (Game, '    {');
  writeln (Game, '        ifgapzl 128 ai AILIZDODGE');
  writeln (Game, '        else { ifrnd 32 ai AILIZJUMPENEMY else ai AILIZDODGE }');
  writeln (Game, '    }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state lizshootstate');
  writeln (Game, '    ifcount 32 ifrnd 128 { ifpdistl 2048 ai AILIZFLEENEMY else { ifrnd 96 ai AILIZTHINK else ai ',
                 'AILIZGETENEMY } }');
  writeln (Game, '    ifactioncount 2 { ifcanshoottarget { sound CAPT_ATTACK shoot FLAMETHROWER resetactioncount } else ai ',
                 'AILIZTHINK }');
  writeln (Game, 'ends');
  writeln (Game, '');
  writeln (Game, 'state checklizhit');
  writeln (Game, '    spawn BLOOD');
  writeln (Game, '    ifai AILIZSHRUNK');
  writeln (Game, '        { sound SQUISHED state standard_jibs state delete_enemy }');
  writeln (Game, '    ifdead');
  writeln (Game, '    {');
  writeln (Game, '        state drop_fuel');

END;

{***********************************}

END.