PROGRAM EditCONFiles;

USES
  Crt,
  ECData,
  EditData,
  ResetSave,
  Utility;

VAR
  Exit        : Boolean;
  Choice      : Char;
  Cursor      : Byte;
  Player      : PlayerR;
  Ammo        : AmmoR;
  Box         : BoxR;
  Strength    : StrengthR;
  Radius      : RadiusR;
  Enemy       : EnemyR;
  Menu        : MenuType;

BEGIN

{* Used to reset files and get ready for new stuff         *}
{  ResetDefaultVals (Player,Ammo,Box,Strength,Radius,Enemy);
  SaveFiles (Player,Ammo,Box,Strength,Radius,Enemy);}

  GetCurrentValues (Player,Ammo,Box,Strength,Radius,Enemy);
  Exit := False;
  Menu[1] := ' Player Info ';
  Menu[2] := ' Weapon Info ';
  Menu[3] := ' Enemy Info ';
  Menu[4] := ' Current Setup ';
  Menu[5] := ' Current Files ';
  Menu[6] := ' Reset Default ';
  Menu[7] := ' UDC Chart ';
  Menu[8] := ' About EditCON ';
  Menu[9] := ' Exit EditCON ';
  Cursor := 1;
  WHILE NOT Exit DO
    BEGIN
      MainScreenSetup;
      Select (TextColor,BackColor,SelectText,SelectBack,1,2,9,Cursor,Choice,Menu);
      IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditPlayer (Player);
            2 : EditWeapons (Ammo,Box,Strength,Radius);
            3 : EditEnemy (Enemy);
            4 : PrintCurrentVals (Player,Ammo,Box,Strength,Radius,Enemy);
            5 : PrintFileVals;
            6 : IF Check (TextColor,BackColor,21,2,'Reset Default Values? <Y/N>') THEN
                    ResetDefaultVals (Player,Ammo,Box,Strength,Radius,Enemy);
            7 : UDCChart;
            8 : AboutEditCON;
            9 : Exit := Check(TextColor,BackColor,21,2,'Are You Sure? <Y/N>');
          END
        ELSE Exit := Check(TextColor,BackColor,21,2,'Are You Sure? <Y/N>');
    END;
  IF Check (TextColor,BackColor,21,2,'Save all changes? <Y/N>') THEN
      SaveFiles (Player,Ammo,Box,Strength,Radius,Enemy);
  Clear (7,0,1,1,80,25);
  writeln ('Exiting EditCON Version 2.0 by Charlie Wiederhold....');
  writeln;
END.