PROGRAM MakeMAP;

USES
  NewDelay,
  Crt,
  Dos,
  Menus,
  Utility,
  GrubData;

VAR
  World      : ^WorldType;
  Wall       : Boolean;
  Map        : MapType;
  MapData    : Text;
  IsWall,
  Facing,
  StartX,
  StartY,
  Count,
  Counter,
  Ceiling,
  Floor,
  Walls      : Byte;
  MapFile    : FILE;
  Root       : FileName;
  TempChar   : Char;

BEGIN
  Root := GetRoot;

  assign (MapData, Root + '\maps\' + ParamStr(1) + '.txt');
  reset (MapData);
  assign (MapFile, Root + '\maps\' + ParamStr(1) + MapExtention);
  rewrite (MapFile,1);

  readln (MapData, Map.Ceiling, Map.Floor, Map.Walls);
  readln (MapData, StartX, StartY, Facing);
  blockwrite (MapFile, Map, sizeof(Map));
  blockwrite (MapFile, StartX, sizeof(StartX));
  blockwrite (MapFile, StartY, sizeof(StartY));
  blockwrite (MapFile, Facing, sizeof(Facing));

  new (World);

  FOR Count := 1 TO 250 DO
    FOR Counter := 1 TO 250 DO
      BEGIN
        read (MapData, IsWall);
        IF IsWall = 0 THEN World^[Counter,Count] := True
          ELSE World^[Counter,Count] := False;
        IF Counter = 250 THEN readln (MapData);
      END;

  blockwrite (MapFile, World^, sizeof(World^));
  dispose (World);

  close (MapFile);

END.