UNIT SndData;

INTERFACE

USES
  DOS,
  NewDelay,
  Crt,
  Utility,
  GrubData;

CONST
  SoundExtention = '.snd';

TYPE
  SoundType  = RECORD
                 Pitch : Integer;
                 Time  : Integer;
               END;

PROCEDURE PlaySound (SoundFileName : FileName);

IMPLEMENTATION

{****************************************************************************}
PROCEDURE PlaySound (SoundFileName : FileName);

VAR
  SoundPart  : SoundType;
  Count,
  NumParts   : Word;
  SoundFX    : FILE;
  NumRead    : Integer;
  Root       : FileName;

BEGIN
  Root := GetRoot;
  NumRead := 0;
  assign (SoundFX,Root + '\sounds\' + SoundFileName + SoundExtention);
  reset (SoundFX,1);
  blockread (SoundFX, NumParts, sizeof(NumParts), NumRead);
  FOR Count := 1 TO NumParts DO
    BEGIN
      blockread (SoundFX, SoundPart, sizeof(SoundPart), NumRead);
      IF SoundPart.Pitch <> 0 THEN
        Beep (SoundPart.Pitch,SoundPart.Time);
    END;
  close (SoundFX);
END;

{****************************************************************************}

END.