PROGRAM DukeHTM;

USES
  Crt,
  DOS;

VAR
  Y,
  M,
  D,
  DoW      : Word;
  FileName : STRING;
  FileSize,
  NumFiles : Integer;
  NewFile  : TEXT;
  Count    : Byte;
  DirInfo  : SearchRec;

BEGIN
  clrscr;
  GetDate (Y,M,D,DOW);
  findfirst ('*.*',Archive,DirInfo);
  NumFiles := 0;
  WHILE DosError <> 18 DO
    BEGIN
      IF (DirInfo.Name <> 'DUKEHTML.EXE') AND (DirInfo.Name <> 'NEW') THEN
      BEGIN
      FileName := DirInfo.Name;
      FOR Count := 1 TO length(DirInfo.Name) DO
        IF DirInfo.Name[Count] IN ['A'..'Z'] THEN
            DirInfo.Name[Count] := chr(ord(DirInfo.Name[Count]) + 32);
      delete (FileName,pos('.',FileName),length(FileName));
      FileName := FileName + '.HTM';
      FileSize := DirInfo.Size DIV 1000;
      IF FileSize = 0 THEN FileSize := 1;

      inc(NumFiles);
      writeln (NumFiles:4, ' : ', FileName);

      assign (NewFile,'NEW\' + FileName);
      rewrite (NewFile);

      writeln (NewFile,'<HTML>');
      writeln (NewFile,'<HEAD>');
      writeln (NewFile,'<TITLE>Duke Nukem 3D: Levels</TITLE>');
      writeln (NewFile,'<STYLE>');
      writeln (NewFile,'A {text-decoration: none; color: FF0000}');
      writeln (NewFile,'</STYLE>');
      writeln (NewFile,'</HEAD>');
      writeln (NewFile,'');
      writeln (NewFile,'<BODY BACKGROUND="../../graphics/background2.gif" BGCOLOR="#000000" TEXT="#CCCC99" LINK="#FF0000" ',
                       'VLINK="#FF0000" ALINK="#FF0000">');
      writeln (NewFile,'');
      writeln (NewFile,'<CENTER>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=+2>');
      writeln (NewFile,'<CENTER>',DirInfo.Name,'</CENTER>');
      writeln (NewFile,'</FONT><P>');
      writeln (NewFile,'');
      writeln (NewFile,'<HR SIZE=10>');
      writeln (NewFile,'');
      writeln (NewFile,'<TABLE BORDER=0 CELLPADDING=2 CELLSPACING=0 WIDTH=400>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>File Name / Size:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#CCCC99" FACE="ARIAL" SIZE=-1>');
      writeln (NewFile,'<A HREF="../files/',DirInfo.Name,'">',DirInfo.Name,'</A> <I>(',FileSize,' Kb)</I>');
      writeln (NewFile,'</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>Author:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#CCCC99" FACE="ARIAL" SIZE=-1>');
      writeln (NewFile,'');
      writeln (NewFile,'</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>Date Posted:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#CCCC99" FACE="ARIAL" SIZE=-1>');
      writeln (NewFile,M,'/',D,'/',(Y - 1900));
      writeln (NewFile,'</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>Single Player:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>Cooperative Player:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>DukeMatch:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>Additional Art / Music:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'<TR>');
      writeln (NewFile,'<TD ALIGN=LEFT WIDTH=200>');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="VERDANA" SIZE=-1>Requires Atomic Edition:</FONT>');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'<TD ALIGN=CENTER WIDTH=200>');
      writeln (NewFile,'');
      writeln (NewFile,'</TD>');
      writeln (NewFile,'</TR>');
      writeln (NewFile,'');
      writeln (NewFile,'</TABLE>');
      writeln (NewFile,'</CENTER>');
      writeln (NewFile,'');
      writeln (NewFile,'<P>');
      writeln (NewFile,'');
      writeln (NewFile,'<FONT COLOR="#999966" FACE="ARIAL" SIZE=-1>Notes:</FONT> <FONT COLOR="#CCCC99" FACE="ARIAL" SIZE=-1>',
                       'n/a</FONT>');
      writeln (NewFile,'');
      writeln (NewFile,'<P><FONT COLOR="#999966" FACE="ARIAL" SIZE=-1>Review:</FONT> <FONT COLOR="#CCCC99" FACE="ARIAL" ',
                       'SIZE=-1>n/a</FONT>');
      writeln (NewFile,'');
      writeln (NewFile,'<P></BODY>');
      writeln (NewFile,'</HTML>');
      close (NewFile);
      END;

      findnext (DirInfo);
    END;

  writeln ('----------------------------------');
  writeln (NumFiles,' HTML Files were created.');
END.