PROGRAM Remind;

USES
  Dos,
  Crt,
  Utility,
  RemindData;

{***************************************************************************}
PROCEDURE PrintMonth (Today : DayType; Todate : DateType);

VAR
  FirstOMonth : DateType;
  YearStr,
  MonthStr,
  DateStr,
  DateAssign  : STRING;

BEGIN
  WITH FirstOMonth DO
    BEGIN
      Year := Todate.Year;
      Month := Todate.Month;
      Date := 1;
      DateAssign := '';
      str (Year,YearStr);
      str (Month,MonthStr);
      str (Date,DateStr);
      DateAssign := DateStr + '-' + MonthStr + '-' + YearStr;
      exec ('date',DateAssign);
      getdate (Year,Month,Date,DoW);
      str (Todate.Date,DateStr);
      DateAssign := DateStr + '-' + MonthStr + '-' + YearStr;
      exec ('date',DateAssign);
    END;
END;

{***************************************************************************}
PROCEDURE About;

VAR
  Choice : Char;

BEGIN
  MakeWin (MenuText,MenuBack,19,2,26,7,True,True);
  WrtS (3,2,'Daily Reminder ver 1.0');
  WrtS (3,4,'  Charlie Wiederhold');
  WrtS (3,5,'     Eithan Zilka');
  WrtS (3,6,'    Nick Rundquist');
  HideCursor (2,2,MenuBack);
  REPEAT
    Choice := readkey;
  UNTIL Choice IN [#13,#27];
END;

{***************************************************************************}
FUNCTION CheckExit : Boolean;

VAR
  Choice : Char;

BEGIN
  MakeWin (MenuText,MenuBack,19,2,15,3,True,True);
  WrtS (3,2,'Exit? <Y/N>');
  HideCursor (2,2,MenuBack);
  REPEAT
    Choice := upcase(readkey);
  UNTIL Choice IN ['Y','N',#13,#27];
  IF Choice IN['Y',#13] THEN
      CheckExit := True
    ELSE CheckExit := False;
END;
{***************************************************************************}
PROCEDURE Temp;

BEGIN
  MakeWin (MenuText,MenuBack,19,2,23,3,True,True);
  WrtS (3,2,'Not Yet Implemented');
  HideCursor (2,2,MenuBack);
  readln;
END;

{***************************************************************************}
PROCEDURE ControlProcessing;

VAR
  Exit   : Boolean;
  Cursor : Byte;
  Choice : Char;
  Menu   : MenuType;
  Today  : DayType;
  Todate : DateType;

BEGIN
  Menu[1] := ' New Date ';
  Menu[2] := ' Delete Date ';
  Menu[3] := ' Calendar ';
  Menu[4] := ' View Entries ';
  Menu[5] := ' About ';
  Menu[6] := ' Exit ';
  Cursor := 1;
  Exit := False;
  WHILE NOT(Exit) DO
    BEGIN
      MainScreen (Menu,Today,Todate);
      Select (MenuText,MenuBack,SelecText,SelecBack,2,10,Cursor,Choice,Menu);
      window (21,1,80,24);
      IF Choice = #27 THEN
          Exit := CheckExit
        ELSE
          CASE Cursor OF
            1 : Temp;
            2 : Temp;
            3 : Temp;
            4 : Temp;
            5 : About;
            6 : Exit := CheckExit;
          END;
    END;

  Clear (7,0,1,1,80,25);
END;

{***************************************************************************}

BEGIN
  ControlProcessing;
END.