program bounce3;

uses crt;

var
  trail,
  chnge      : char;
  s,
  x,
  y,
  dly        : integer;
  up_down,
  left_right : boolean;

{****************************************************************************}
procedure writeat (x,y : integer);
begin
  gotoXY (x,y);
  write ('');
  textcolor (0);
  gotoXY (x+1,y);
  write (' ');
  gotoXY (x+1,y);
  textcolor (15);
end;
{****************************************************************************}
procedure clear;
begin
  gotoXY (x,y);
  write (trail);
end;
{****************************************************************************}
procedure snd (s : integer);
begin
  sound (s);
  delay (1);
  nosound;
end;
{****************************************************************************}
procedure change_direction;
begin
  case x of
     3 : left_right := true;
    78 : left_right := false;
  end;
  case y of
     2 : up_down := true;
    25 : up_down := false;
  end;
end;
{****************************************************************************}
procedure change_delay_sound;
var
  chngei : integer;
begin
  chnge := readkey;
  if dly = 1 then dly := 2;
  chngei := ord(chnge);
  case chnge of
    'f' : dec(dly);
    's' : inc(dly);
    'n' : s := 0;
    'y' : s := 3500;
  end;
 case chngei of
   72 : up_down := false;
   80 : up_down := true;
   75 : left_right := true;
   77 : left_right := false;
 end;
end;
{****************************************************************************}
procedure initialize;
begin
  randomize;
  x := random(78);
  y := random(25);
  dly := 50;
  s := 3500;
  if (x = 0) or (x = 1) or (x = 2) then x := 3;
  if (y = 0) or (y = 1) then y := 2;
  up_down := true;
  left_right := true;
  textcolor (15);
  textbackground (1);
  clrscr;
  write ('  Select a character for the trail, or press the spacebar for no'
        ,' trail at all.');
  window (1,2,80,25);
  textbackground (0);
  clrscr;
  window (1,1,80,25);
  textbackground (1);
  textcolor (1);
  gotoXY (1,1);
  write (' ');
  gotoXY (1,1);
  trail := readkey;
  gotoXY (1,1);
  textcolor (15);
  writeln ('     Y : Sound     N : No Sound    F : Go Faster    S : Go Slower'
          ,'     X : Exit');
  textbackground (0);
end;
{****************************************************************************}
procedure movement;
begin
  repeat
    change_direction;
    case up_down of
      true  : y := y + 1;
      false : y := y - 1;
    end;
    case left_right of
      true  : x := x + 1;
      false : x := x - 1;
    end;
    writeat (x,y);
    if (x = 3) or (x = 78) or (y = 2) or (y = 25)
      then snd(s);
    if keypressed then
      change_delay_sound;
    delay (dly);
    clear;
  until chnge = 'x';
end;
{****************************************************************************}
procedure run;
begin
  initialize;
  movement;
end;
{****************************************************************************}
begin
  run;
end.