{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<} UNIT ENEMIES; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}

{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}



USES CRT, UTILITY, WINDOWS;

Procedure TROOPER (head, body : byte);
Procedure TANK    (body, gun : byte);
Procedure HELI    (body, gun, window : byte);
Procedure PLANE   (body, gun, window : byte);
Procedure BASE    (walls, window, door : byte);



{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}



{===========================================================================}
Procedure TROOPER (head, body : byte);

Begin
  viewwin;
  tctb (head,head);
  wrtc (25,13,' ');
  tctb (body,body);
  wrts (24,14,'   ');
  wrtc (25,15, ' ');
  tctb (0,6);
  wrts (24,16,' ');
  tctb (0,0);
  wrtc (25,16,' ');
End;

{===========================================================================}
Procedure TANK (body, gun : byte);

Begin
  viewwin;
  tctb (body,body);
  wrts (24,12,'   ');
  wrts (22,13,'       ');
  wrts (21,14,'         ');
  wrts (21,15,'         ');
  tctb (gun,body);
  wrtc (25,12,'');
  tctb (0,0);
  wrts (21,16,'  ');
  wrts (28,16,'  ');
End;

{===========================================================================}
Procedure HELI (body, gun, window : byte);

Begin
  viewwin;
  tctb (body,1);
  wrts (16,2,'');
  tctb (body,body);
  wrtc (24,3,' ');
  wrts (21,4,'       ');
  wrts (21,5,'       ');
  wrts (21,6,'       ');
  tctb (gun,body);
  wrts (24,6,'');
  tctb (window,window);
  wrts (23,4,'   ');
  tctb (0,0);
  wrtc (21,7,' ');
  wrtc (27,7,' ');
  wrts (20,8,'   ');
  wrts (26,8,'   ');
End;

{===========================================================================}
Procedure PLANE (body, gun, window : byte);

Begin
  viewwin;
  tctb (body,1);
  wrts (9,2,'           ');
  tctb (body,body);
  wrts (19,2,'           ');
  wrts (19,3,'           ');
  wrts (20,4,'         ');
  wrts (21,5,'       ');
  tctb (window,window);
  wrts (22,3,'     ');
  tctb (gun,gun);
  wrts (24,5,' ');
End;

{===========================================================================}
Procedure BASE (walls, window, door : byte);

var
  count : byte;

Begin
  viewwin;

  tctb (walls,walls);
  wrtc (11,13,' ');
  wrts (10,14,'   ');
  wrtc (11,15, ' ');
  tctb (0,6);
  wrts (10,16,' ');
  tctb (0,0);
  wrtc (11,16,' ');

  tctb (walls,walls);
  wrtc (45,13,' ');
  wrts (44,14,'   ');
  wrtc (45,15, ' ');
  tctb (0,6);
  wrts (44,16,' ');
  tctb (0,0);
  wrtc (45,16,' ');

  tctb (walls,walls);
  for count := 10 to 16 do wrts (15,count,'                           ');
  tctb (walls,window);
  wrts (17,12,'    ');
  wrts (17,13,'');
  wrts (17,14,'    ');
  wrts (35,12,'    ');
  wrts (35,13,'');
  wrts (35,14,'    ');
  tctb (walls,door);
  wrts (26,12,'     ');
  wrts (26,13,'     ');
  wrts (26,14,'    ');
  wrts (26,15,'     ');
  wrts (26,16,'     ');
  tctb (15,0);
  wrts (16,6,'    0    ');
  wrts (16,7,' ><>< ');
  wrts (16,8,'        ');
  wrts (16,9,'');
End;

{===========================================================================}



END. {*** UNIT ENEMIES ***}