{----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} UNIT WINDOWS; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{-----------------------------------------------------------------------------}

{----------------------------------------------------------------------------}
{{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{----------------------------------------------------------------------------}



USES CRT, UTILITY;

var
  count,
  counter : byte;

Procedure CHOICEWIN;
Procedure STATUSWIN;
Procedure POSITIONWIN;
Procedure TARGETWIN;
Procedure VIEWWIN;
Procedure SUN;
Procedure SMALLHILL (position : byte);
Procedure MEDIUMHILL (position : byte);
Procedure LARGEHILL (position : byte);
Procedure CHOICE;
Procedure STATUS;
Procedure POSITION;
Procedure TARGET;
Procedure VIEW;
Procedure EMBLEM;
Procedure DEADSCREEN;



{----------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{----------------------------------------------------------------------------}



{============================================================================}
Procedure CHOICEWIN;

Begin
  window (2,2,24,8);
End;

{============================================================================}
Procedure STATUSWIN;

Begin
  window (2,11,24,18);
End;

{============================================================================}
Procedure POSITIONWIN;

Begin
  window (38,21,61,24);
End;

{============================================================================}
Procedure TARGETWIN;

Begin
  window (2,21,37,24);
End;

{============================================================================}
Procedure VIEWWIN;

Begin
  window (26,1,79,19);
End;

{============================================================================}
Procedure SUN;

Begin
  viewwin;
  tctb (4,1);
  wrts (47,2,'  ');
  wrts (46,3,'    ');
  wrts (47,4,'  ');
  tctb (4,4);
  wrts (48,2,'  ');
  wrts (47,3,'    ');
  wrts (48,4,'  ');
  regwin;
End;

{============================================================================}
Procedure SMALLHILL (position : byte);

Begin
  tctb (6,6);
  viewwin;
  for counter := 15 downto 13 do
    for count := (15 - counter) to (counter - 11) do
      wrtc ((position + count),counter,' ');
  regwin;
End;

{============================================================================}
Procedure MEDIUMHILL (position : byte);

Begin
  tctb (6,6);
  viewwin;
  for counter := 15 downto 10 do
    for count := (15 - counter) to (counter - 5) do
      wrtc ((position + count),counter,' ');
  regwin;
End;

{============================================================================}
Procedure LARGEHILL (position : byte);

Begin
  tctb (6,6);
  viewwin;
  for counter := 15 downto 3 do
    for count := (15 - counter) to (counter + 9) do
      wrtc ((position + count),counter,' ');
  regwin;
End;

{============================================================================}
Procedure CHOICE;

Begin
  makewin (14,0,1,1,25,9,false,true,15,3);
  regwin;
  wrts (9,1,' ?ACTION? ');
End;

{============================================================================}
Procedure STATUS;

Begin
  makewin (15,0,1,10,25,19,false,true,11,3);
  writeln (' Player');
  writeln;
  writeln (' Strength');
  tctb (9,0);
  writeln ('      Points');
  tctb (15,0);
  writeln (' Tank');
  writeln;
  writeln (' Weapon');
  regwin;
End;

{============================================================================}
Procedure POSITION;

Begin
  makewin (15,0,39,20,62,25,false,true,11,3);
  writeln (' North/South Position');
  writeln;
  write   (' East/West Position');
  tctb (9,0);
  gotoXY (1,1);
  writeln;
  writeln ('  N/S Quad#   ');
  writeln;
  write   ('  E/W Quad#   ');
  regwin;
End;

{============================================================================}
Procedure TARGET;

Begin
  makewin (15,0,1,20,38,25,false,true,11,3);
  writeln (' Target Type        Target Distance');
  writeln;
  write   (' Target Weapon      Target Strength');
  gotoXY (1,1);
  tctb (9,0);
  writeln;
  writeln ('                         Meters');
  writeln;
  write   ('                         Points');
  regwin;
End;

{============================================================================}
Procedure VIEW;

Begin
  clear (1,1,26,1,79,15);
  tctb (15,5);
  write (' Level   ');
  clear (6,6,26,16,79,19);
  sun;
  regwin;
End;

{============================================================================}
Procedure EMBLEM;

Begin
  clear (1,7,63,20,79,25);
  clear (1,1,69,21,73,21);
  clear (1,1,67,22,74,22);
  clear (1,1,66,23,74,23);
  tctb (1,7);
  window (63,20,79,25);
  wrts (11,2,'');
  wrts (4,5,'()');
  regwin;
End;

{============================================================================}
Procedure DEADSCREEN;

var
  pitch : longint;
  color,
  y_pos,
  x_pos : byte;

Begin
  for pitch := 3000 downto 0 do
    noise (pitch,1);
  Nosound;
  delay (250);
  randomize;
  clear (0,0,1,1,80,25);
  clear (7,7,1,1,80,24);
  regwin;
  tctb (15,4);
  wrts (30,12,'    You are DEAD!     ');
  wrts (30,13,'   You have FAILEd!   ');
  wrts (30,14,'  Press ESC, NOW!!!!  ');
  repeat
    x_pos := random(79 + 1);
    y_pos := random(24 + 1);
    if ((x_pos >= 30) and (x_pos <= 51)) and
       ((y_pos >= 12) and (y_pos <= 14)) then
      begin
        x_pos := x_pos + 22;
        y_pos := y_pos + 3;
      end;
    color := random(2);
    pitch := random (2000);
    case color of
      0 : tctb (4,4);
      1 : tctb (7,7);
    end;
    sound (pitch);
    wrtc (x_pos,y_pos,' ');
  until keypressed;
  Nosound;
End;

{============================================================================}



END. {*** UNIT WINDOWS ***}