program teach;

{****************************************************************************
 *   Author  : Charlie Wiederhold                                           *
 *   Date    : 01/05/95                                                     *
 *   Prupose : This program allows the user to select from five subjects    *
 *             and it will display the teacher for that class.              *
 *                 U.S. History - Ms. Mansfield                             *
 *                 Calculus     - Ms. Mueller                               *
 *                 Spanish      - Mr. Ramirez                               *
 *                 English      - Mr. Johnson                               *
 *                 Algebra II   - Mr. Svenson                               *
 ****************************************************************************}

uses crt;

type
  class_array   = array [1..5] of string;  { array of the classes }
  teacher_array = array [1..5] of string;  { array of the teachers }

var
  class   : class_array;    { class variable }
  teacher : teacher_array;  { teacher variable }
  j       : integer;        { output control }
  choice  : char;           { input for users choice }

{****************************************************************************}
procedure writeat (x,y : integer; strng : string);

begin  { writeat }

  { simplifies these two statements }
  gotoXY (x,y);
  write (strng);

end;   { writeat }
{****************************************************************************}
procedure tctb (tc, tb : integer);

begin   { tctb }

  { simplifies these two statements }
  textcolor (tc);
  textbackground (tb);

end;   { tctb }
{****************************************************************************}
begin  { main }

  { assigns the values to the arrays }
  class[1] := 'U.S. History';
  class[2] := 'Calculus    ';
  class[3] := 'Spanish     ';
  class[4] := 'English     ';
  class[5] := 'Algebra II  ';
  teacher[1] := 'Ms. Mansfield';
  teacher[2] := 'Ms. Mueller';
  teacher[3] := 'Mr. Ramirez';
  teacher[4] := 'Mr. Johnson';
  teacher[5] := 'Mr. Svenson';

  { creates the opening screen }
  tctb (1,1);
  clrscr;
  tctb (14,1);
  writeat (34,2,'TEACHER FINDER');
  tctb (0,0);
  for j := 1 to 41 do
    writeat (j + 21,14,' ');
  for j := 1 to 8 do
    writeat (61,j + 5,'  ');
  window (20,5,60,13);

  repeat  { one }
    begin  { repeat one }

      { gets the selected choice from the user }
      tctb (0,7);
      clrscr;
      writeln;
      writeln (' Type the first letter of the class.');
      for j := 1 to 5 do
        writeat (2,j + 3,class[j]);
      tctb (7,7);
      writeat (1,1,' ');
      gotoXY (1,1);
      choice := upcase(readkey);
      tctb (0,7);
      gotoXY (24,4);

      { options and display }
      case choice of
        'U' : write (teacher[1]);
        'C' : write (teacher[2]);
        'S' : write (teacher[3]);
        'E' : write (teacher[4]);
        'A' : write (teacher[5]);
      end;  { case choice }

      { displays the final info }
      writeat (24,8,'Press <Enter>');
      tctb (7,7);
      writeat (1,1,' ');
      gotoXY (1,1);
      readln;

    end;  { repeat one }

  until choice = '0' ;

end.  { main }
