{$M $4000,0,255360}
PROGRAM CrypticFix;

USES
  NewDelay,
  Crt,
  DOS,
  Utility;

VAR
  IniFile    : FILE;
  NotWorked,
  Worked     : Boolean;
  Error      : Byte;
  Temp,
  Drive,
  BootDrive  : Char;
  DirInfo    : SearchRec;

{***************************************************************************}
FUNCTION Startup_Drive : Char;

VAR
  HTregs : registers;

BEGIN
  HTregs.AX := $3305;
  MsDos(HTregs);
  Startup_Drive := Char(HTregs.DL + 64);
END;

{***************************************************************************}


BEGIN
  TcTb (7,0);
  clrscr;
  WrtS (1,1,'This program will fix the run-time error problems encountered by some people');
  WrtS (1,2,'with the Cryptic Passage installer. Sorry for the inconvenience.');

  WrtS (1,4,'Please enter the drive of your CD-ROM:');
  REPEAT
    GotoXY (40,4);
    Temp := upcase(readkey);
    IF Temp IN ['A'..'Z'] THEN
        BEGIN
          WrtC (40,4,Temp);
          Drive := Temp;
        END;
    IF Temp = #0 THEN
      Temp := readkey;
  UNTIL Temp IN [#13,#27];

  Worked := False;
  NotWorked := False;
  IF Temp = #13 THEN
      REPEAT
        clrscr;
        WrtS (1,1,'Please insure that the Cryptic Passage installation CD is in the ' + Drive + ': drive and');
        WrtS (1,2,'press <ENTER> to continue...');
        REPEAT
          Temp := readkey;
        UNTIL Temp = #13;
        findfirst (Drive + ':\CRYPTIC\CRYPTIC.SSI',AnyFile,DirInfo);
        IF DosError <> 0 THEN
            BEGIN
              NotWorked := True;
              Error := 1;
            END
          ELSE
            BEGIN
              Worked := True;
              BootDrive := Startup_Drive;
              findfirst (BootDrive + ':\WINDOWS',Directory,DirInfo);
              IF DosError <> 0 THEN mkdir (BootDrive + ':\WINDOWS');
              chdir (Drive + ':\');
              exec ('INSTALL.EXE','');
              findfirst (BootDrive + ':\WINDOWS\GAMER.INI',AnyFile,DirInfo);
              IF DosError = 0 THEN
                BEGIN
                  assign (IniFile, BootDrive + ':\WINDOWS\GAMER.INI');
                  erase (IniFile);
                  rmdir (BootDrive + ':\WINDOWS');
                  chdir (BootDrive + ':\');
                END
            END;
      UNTIL Worked OR NotWorked
    ELSE
      BEGIN
        clrscr;
        WrtS (1,1,'Cryptic Passage Installation fix aborted by user.');
        writeln;
      END;

  IF NotWorked THEN
      BEGIN
        clrscr;
        WrtS (1,1,'The Cryptic Passage CD could not be detected in the ' + Drive + ': drive.');
        WrtS (1,2,'Please insert this disk in the drive and run CRYPTFIX.EXE again. Thanks.');
      END;
END.