{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<} UNIT TOCData; {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}


{***************************************************************************
 *                                                                         *
 *   Author     : Charlie Wiederhold                                       *
 *   Date       : January 7, 1996                                          *
 *   TA         : Gooty                                                    *
 *   TA Section : Wed. 3:00 - 4:00                                         *
 *   Assignment : Program 1 Inventory Tracker - UNIT List2Data             *
 *                                                                         *
 ***************************************************************************}


{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<} INTERFACE {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}

TYPE
  TOCListElementType = RECORD
                      FileName : STRING[12];
                      FileSize : LongInt;
                      GameDir  : Boolean;
                      SubDir   : STRING[32];
                      String1  : STRING[32];
                      String2  : STRING[32];
                      Integer1 : Integer;
                      Integer2 : Integer;
                    END; {* ListElementType *}

  RelationType    = (Less, Greater, Equal); {* Used in Compare      *}

{***************************************************************************}
FUNCTION Compare
  (Item1,
   Item2 : TOCListElementType) : RelationType;
  {* Purpose : To compare two strings and determine their relation *}
  {*     Pre : Item1 and Item2 have not been compared              *}
  {*    Post : Item1 and Item2 have been compared and that value   *}
  {*           is returned to calling routine                      *}

{***************************************************************************}


{---------------------------------------------------------------------------}
{<<<<<<<<<<<<<<<<<<<<<<<<<<<<} IMPLEMENTATION {>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}
{---------------------------------------------------------------------------}


{***************************************************************************}
FUNCTION Compare
  (Item1,
   Item2 : TOCListElementType) : RelationType;
  {*     Pre : Item1 and Item2 have not been compared              *}
  {*    Post : Item1 and Item2 have been compared and that value   *}
  {*           is returned to calling routine                      *}

VAR
  Ext1,
  Ext2,
  Name1,
  Name2 : STRING;

BEGIN {* Compare *}

  Name1 := copy(Item1.Filename,1,pos('.',Item1.Filename) - 1);
  Name2 := copy(Item2.Filename,1,pos('.',Item2.Filename) - 1);
  Ext1 := copy(Item1.FileName,pos('.',Item1.FileName) + 1,length(Item1.FileName));
  Ext2 := copy(Item2.FileName,pos('.',Item2.FileName) + 1,length(Item2.FileName));

  IF Ext1 < Ext2 THEN
      Compare := Less
    ELSE
      IF Ext1 > Ext2 THEN
          Compare := Greater
        ELSE
          BEGIN
            IF Name1 < Name2 THEN
                Compare := Less
              ELSE
                IF Name1 > Name2 THEN
                    Compare := Greater
                  ELSE Compare := Equal;
          END;

END; {* Compare *}

{***************************************************************************}

END. {* List2Data *}
